InputFile created with GiD-SAFIR_2016 Interface
*GenData(Title_1)
*GenData(Title_2)

*#---------------------------------------------------------------
*if(IsQuadratic)
*MessageBox error: Quadratic elements are not permitted.
*endif
*Set Var nbloads(Int) = 0
*#---------------------------------------------------------------
*# Check Point-Loads  that exist  
*#---------------------------------------------------------------
*Set Var nnodloaduser(int) =0
*Set Var nodf1(Int) =0
*Set Var nodfload(int) =0
*Set Var nodf1ps(int) =0
*Set Var nodf1000ps(int) =0
*Set cond Point-Load *nodes *CanRepeat
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var nnodloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var nodf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var nodfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var nodf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var nodf1000ps(int)=1
*endif
*end nodes
*Set Var nbloads(int)=nbloads+nnodloaduser + nodf1 + nodfload + nodf1ps + nodf1000ps
*#---------------------------------------------------------------
*# Check UDLoads that exist  
*#---------------------------------------------------------------
*Set Var nbmloaduser(int) =0
*Set Var bmf1(Int) =0
*Set Var bmfload(int) =0
*Set Var bmf1ps(int) =0
*Set Var bmf1000ps(int) =0
*Set cond Beam-Load *elems *CanRepeat
*loop elems *OnlyInCond 
*If(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var nbmloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var bmf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var bmfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var bmf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var bmf1000ps(int)=1
*endif
*End elems
*Set Var nbloads(int)=nbloads + nbmloaduser + bmf1 + bmfload + bmf1ps + bmf1000ps
*#---------------------------------------------------------------
*# Check TrapLoadGlobal that exist  
*#---------------------------------------------------------------
*Set Var ntglloaduser(int) =0
*Set Var tglf1(Int) =0
*Set Var tglfload(int) =0
*Set Var tglf1ps(int) =0
*Set Var tglf1000ps(int) =0
*Set cond TrapLoadGlobal *elems *CanRepeat
*loop elems *OnlyInCond 
*If(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var ntglloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var tglf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var tglfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var tglf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var tglf1000ps(int)=1
*endif
*End elems
*Set Var nbloads(int)=nbloads + ntglloaduser + tglf1 + tglfload + tglf1ps + tglf1000ps
*#---------------------------------------------------------------
*# Check TrapLoadLocal that exist  
*#---------------------------------------------------------------
*Set Var ntlocloaduser(int) =0
*Set Var tlocf1(Int) =0
*Set Var tlocfload(int) =0
*Set Var tlocf1ps(int) =0
*Set Var tlocf1000ps(int) =0
*Set cond TrapLoadLocal *elems *CanRepeat
*loop elems *OnlyInCond 
*If(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var ntlocloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var tlocf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var tlocfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var tlocf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var tlocf1000ps(int)=1
*endif
*End elems
*Set Var nbloads(int)=nbloads + ntlocloaduser + tlocf1 + tlocfload + tlocf1ps + tlocf1000ps
*#---------------------------------------------------------------
*# Check HydrostaticLoad beams that exist  
*#---------------------------------------------------------------
*Set Var nHydrostatic(int) =0
*Set cond HydrostaticLoad *elems *CanRepeat
*Set Var nHydrostatic(int) =  CondNumEntities
*# *loop elems *OnlyInCond 
*# *Set Var nHydrostatic(int) =  nHydrostatic + 1
*# *# cond(Filename.fct)
*# *End elems
*#*Set Var nbloads(int)=nbloads + ntlocloaduser + tlocf1 + tlocfload + tlocf1ps + tlocf1000ps
*#---------------------------------------------------------------
*# Count number of oblique supports
*#---------------------------------------------------------------
*set Cond Oblique_Support *nodes
*set var noblique(int)=CondNumEntities
*#---------------------------------------------------------------
*# Count number of disconnected degrees of freedom (same - command )
*#---------------------------------------------------------------
*#set Cond Point_disconnect_degrees *nodes
*#set var noSame(int)=CondNumEntities
*#-------------------------------------------------------------------
*# Count number of points with Disconnects degrees of freedom 
*# (Disconnect - command)
*#-------------------------------------------------------------------
*# *set Cond Point_Disconnect_ends *nodes
*# *Set var nDisconnect(int)=CondNumEntities
*#---------------------------------------------------------------
*Set Cond TRUSS_Cross_Section *elems
*set var ntruss(int)=CondNumEntities
*Set Cond BEAM_Cross_Section *elems
*set var nbeams(int)=CondNumEntities
*set var nbt(int) = nbeams(int) + ntruss(int)
*#if(nelem(Linear)!=nbt)
*#MessageBox Error: Not all linear entities have a BEAM or TRUSS property !
*#endif
*#----------------------------------------------------------------
*# Note: all beam and truss elements must be linear ( elements with 2 nodes)
*# for beam elements the 3rd (middle) node is created in this skript !!
*#----------------------------------------------------------------
*set var Nd3 = npoin(int)
*#set var Ndmax(int) = npoin(int) + nbeams(int) + noblique(int) + noSame(int)
*Set var Ndmax(int) = npoin(int) + nbeams(int) + noblique(int)
*#----------------------------------------------------------------
*format "%5i"
     NNODE*Ndmax
      NDIM    2
*format "%4i"
*if((nbeams(int) > 0) && (ntruss(int) > 0))
   NDOFMAX    3
*elseif(nbeams(int) > 0) && (ntruss(int) == 0)
   NDOFMAX    3
*elseif(ntruss(int) > 0) && (nbeams(int) == 0)
   NDOFMAX    2
*endif
*#--------------------------------------------------------------------------- 
*# Number of relaxations in BEAMS
*#---------------------------------------------------------------------------
*Set Cond Relax_Beam_DOF *elems
*set var nRelaxesBeams(int)=CondNumEntities
*#--------------------------------------------------------------------------- 
*# Choice of the Solver procedure
*#---------------------------------------------------------------------------
  *if(strcmp(Gendata(SOLVER),"CHOLESKY")==0)
  SOLVER  *GenData(SOLVER)
*format "%10.1f"
*else
*format "%4i" 
  NCORES *GenData(NCORES)
*endif
*#---------------------------------------------------------------------------
*if(strcmp(GenData(Mode),"STATIC_PURE_NR")==0)
    STATIC   PURE_NR
*elseif(strcmp(GenData(Mode),"STATIC_APPR_NR")==0)
    STATIC   APPR_NR
*elseif(strcmp(GenData(Mode),"DYNAMIC_PURE_NR")==0)
   DYNAMIC   PURE_NR
*elseif(strcmp(GenData(Mode),"DYNAMIC_APPR_NR")==0)
   DYNAMIC   APPR_NR
*elseif(strcmp(GenData(Mode),"STATICCOLD_PURE_NR")==0)
STATICCOLD   PURE_NR
*elseif(strcmp(GenData(Mode),"STATICCOLD_APPR_NR")==0)
STATICCOLD   APPR_NR
*else
*Gendata(Mode)
*endif
*format "%4i"
*#     NLOAD *Gendata(NLOAD_(Number_of_load_vectors))
     NLOAD    *nbloads
*#*Set Var nBeamsLoadedHydro(int) =  CondNumEntities
*if(nHydrostatic>0)
*format "%4i"
    HYDROST    *nHydrostatic
*#    HYDROST    *nBeamsLoadedHydro
*endif
*format "%4i"
   OBLIQUE *noblique 
*if(strcmp(GenData(Convergence),"COMEBACK")==0)
  COMEBACK  *GenData(TimestepMin)
*else 
NOCOMEBACK
*endif
*if(strcmp(Gendata(SOLVER),"CHOLESKY")==0)
*if(strcmp(Gendata(Renumber),"RENUMGEO")==0)
  RENUMGEO  1
*else
*Gendata(Renumber)
*endif
*else
   NORENUM
*endif
*format "%4i"
      NMAT *Gendata(Number_of_materials)
  ELEMENTS
*if(nbeams>0)
*format "%4i%5i"
      BEAM *nbeams *Gendata(NGEOBEAM)
        NG *Gendata(NG)
*format "%6i"
    NFIBER *Gendata(NFIBERBEAM)
*endif
*if(ntruss>0)
*format "%4i%5i"
     TRUSS *ntruss *Gendata(NGEOTRUSS)
*endif
  END_ELEM
     NODES
*loop nodes
*format "%6i%10.4f%10.4f"
      NODE*NodesNum*NodesCoord(1,real)*NodesCoord(2,real)
*end nodes
*#-------------------------------------------------------
*# create middle node for beams
*#-------------------------------------------------------
*set var Nd3(int) = npoin(int)
*Set Cond BEAM_Cross_Section *elems
*loop elems *OnlyInCond
*set var Nd3=ND3+1
*set var X3 = ((NodesCoord(1,1) + NodesCoord(2,1))*0.5)
*set var Y3 = ((NodesCoord(1,2) + NodesCoord(2,2))*0.5)
*format "%6i%10.4f%10.4f"
      NODE*Nd3*X3*Y3
*end elems
*#------------------------------------------------------
*# create extra nodes for oblique supports
*#------------------------------------------------------
*if(noblique>0)
*set Cond Oblique_Support *nodes
*loop nodes *OnlyInCond
*set var Nd3=ND3+1
*set var X3 = (NodesCoord(1,real) + Cond(Delta-X,real))
*set var Y3 = (NodesCoord(2,real) + Cond(Delta-Y,real))
*format "%6i%10.4f%10.4f"
      NODE*Nd3*X3*Y3
*end nodes
*endif
*#------------------------------------------------------
*# create extra nodes for same nodes ( disconnected degrees )
*#------------------------------------------------------
*#if(noSame>0)
*#set Cond Point_disconnect_degrees *nodes
*#set var Nd3Same = ND3
*#loop nodes *OnlyInCond
*#set var Nd3=ND3+1
*#format "%6i%10.4f%10.4f"
*#     NODE*Nd3*NodesCoord(1,real)*NodesCoord(2,real)
*#end nodes
*#endif
*#--------------------------------------------------------------------
*# Constraints for supports
*#--------------------------------------------------------------------
 FIXATIONS
*Set Cond Point-Constraints *nodes
*loop nodes *OnlyInCond
*if(strcmp(cond(1),"-GLOBAL-")!=0)
*MessageBox error: This version of GiD-Safir supports only -GLOBAL- point constraints !
*endif
*if(cond(2,int)==1)
*format "%5i"
     BLOCK*NodesNum   F0*\
*else
*format "%5i"
     BLOCK*NodesNum   NO*\
*endif
*if(cond(3,int)==1)
   F0*\
*else
   NO*\
*endif
*if(cond(4,int)==1)
   F0
*else
   NO
*endif
*end nodes
*#-----------------------------------------------------------------------
*# Create SAME command for disconnect
*#-----------------------------------------------------------------------
*#if(noSame>0)
*#set Cond Point_disconnect_degrees *nodes
*#set var Nd = ND3Same
*#loop nodes *OnlyInCond
*#set var Nd=ND+1
*#format "%10i%10i"
*#      SAME*Nd*NodesNum*\
*#if(cond(2,int)==1)
*#   NO*\
*#else
*#  YES*\
*#endif
*#if(cond(3,int)==1)
*#   NO*\
*#else
*#  YES*\
*#endif
*#if(cond(4,int)==1)
*#   NO*\
*#else
*#  YES*\
*#endif
*#  *cond(1)
*#end nodes
*#endif
   END_FIX
*# ----------------------------------------------------------------------
*# Beam elements
*#-----------------------------------------------------------------------
*if(nbeams(int)>0)
 NODOFBEAM
*Set cond BEAM_Cross_Section *elems
*loop elems *OnlyInCond
*cond(File-Name)
*format "%5i"
*cond(Number_of_materials,int)
*format "%4i"
*#MB17-03-2016 TRANSLATE    1 *cond(Mat1_Global_Nr)
 TRANSLATE    1 *cond(Mat1_Global_Nr)
*if(cond(Number_of_materials,int)>1)
*format "%4i"
*#MB17-03-2016 TRANSLATE    2 *cond(Mat1_Global_Nr)
 TRANSLATE    2 *cond(Mat2_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>2)
*format "%4i"
*#MB17-03-2016 TRANSLATE    3 *cond(Mat3_Global_Nr)
 TRANSLATE    3 *cond(Mat3_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>3)
*format "%4i"
*#MB17-03-2016 TRANSLATE    4 *cond(Mat3_Global_Nr)
 TRANSLATE    4 *cond(Mat4_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>4)
*format "%4i"
*#MB17-03-2016 TRANSLATE    5 *cond(Mat3_Global_Nr)
 TRANSLATE    5 *cond(Mat5_Global_Nr)
*endif
*# END_TRANS
*end elems
*#-----------------------------------------------------------------------
*# list beam elements which have a Line_Disconnect_Id, C++ will fix .in
*#-----------------------------------------------------------------------
begin_disconnect_beams
*#set elems(ALL)
*#Set cond Line_Disconnect_Id *elems
*#loop elems *OnlyInCond
*#set var Nd1 = ElemsConec(1,int)
*#set var Nd2 = ElemsConec(2,int)
*#format "     ELEM%6i%6i%6i"
*#ElemsNum*Nd1*Nd2 *cond(Identifier)
*#end elems
end_disconnect_beams
*#----------------------------------------------------------------------
*# output .tem file name for all beams
*#----------------------------------------------------------------------
*set elems(ALL)
*set var Nd3(int) = npoin(int)
*Set cond BEAM_Cross_Section *elems
*loop elems *OnlyInCond
*set var Nd3 = Nd3 + 1
*set var Nd1 = ElemsConec(1,int)
*set var Nd2 = ElemsConec(2,int)
*format "     ELEM%6i%6i%6i%6i"
*ElemsNum*Nd1*Nd3*Nd2 *cond(File-Name)
*end elems
*endif
*#------------------------------------------------------------------------
*# TRUSS elements
*#------------------------------------------------------------------------
*if(ntruss(int)>0)
*set elems(linear)
NODOFTRUSS
*Set cond TRUSS_Cross_Section *elems
*loop elems *OnlyInCond
*cond(1)*\
*format "%10.4e%9.4e%4i"
           *cond(2) *cond(3) *cond(4)
*end elems
*Set cond TRUSS_Cross_Section *elems
*loop elems *OnlyInCond
*format "      ELEM%6i%6i%6i"
*ElemsNum*ElemsConec(1,int)*ElemsConec(2,int) *cond(1) *cond(2) *cond(3) *cond(4)
*end elems
*endif
*#--------------------------------------------------------------------------
*# RELAX_ELEM 
*#--------------------------------------------------------------------------
*if(nRelaxesBeams(int)>0)
RELAX_ELEM
*#---RELAX_BEAM---
*if(nRelaxesBeams(int)>0)
   BEAMS
*set elems(All)
*Set cond Relax_Beam_DOF *elems
*loop elems *OnlyInCond
*format "     ELEM%6i%6i%6i%6i%6i%6i%6i%6i%6i"
*ElemsNum *cond(N1_DOF1) *cond(N1_DOF2) *cond(N1_DOF3)      *cond(N2_DOF1) *cond(N2_DOF2) *cond(N2_DOF3)
*end elems
   END_BEAMS
*endif
END_RELAX
*endif
*#--------------------------------------------------------------------------
*# INCLINE 
*#--------------------------------------------------------------------------
*if(noblique > 0)
*set Cond Oblique_Support *nodes
*set var Nd = npoin(int) + nbeams
*loop nodes *OnlyInCond
*set var Nd=Nd+1
*format "%4i%4i"
    INCLIN *NodesNum *Nd
*end nodes
END_INCLIN
*endif
*#----------------------------------------------------------------------------
*# Maximum displacement
*#---------------------------------------------------------------------------- 
*if(strcmp(Gendata(Consider_max_displacement),"yes")==0)
  MAX_DISPL *Gendata(MAX_DISPL)
*endif
*#----------------------------------------------------------------------------
*# Loads
*#----------------------------------------------------------------------------
PRECISION *Gendata(PRECISION)
     LOADS
*Set var noLoadsExist=1
*#-----------------------------------------------------------------------
*# Point Load
*#-----------------------------------------------------------------------
*Set cond Point-Load *nodes
*If(nodf1(Int)>0)
   FUNCTION F1
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*format "  NODELOAD %6i%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*set var noLoadsExist = 0
*endif
*If(nodfload(Int)>0)
  FUNCTION FLOAD
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*format "  NODELOAD %6i%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*set var noLoadsExist = 0
*endif
*If(nodf1ps(Int)>0)
  FUNCTION F1PS
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*format "  NODELOAD %6i%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*set var noLoadsExist = 0
*endif
*If(nodf1000ps(Int)>0)
  FUNCTION F1000PS
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*format "  NODELOAD %6i%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*set var noLoadsExist = 0
*endif
*If(nnodloaduser(int)>0)
*Set Var nodloaduserdone(int)=0
*Set cond Point-Load *nodes 
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*If(nodloaduserdone(int)==0)
*Set Var nodloaduserdone(int)=1
   FUNCTION        *cond(Filename.fct)
*endif
*endif
*End nodes
*endif
*If(nnodloaduser(int)>0)
*Set cond Point-Load *nodes 
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*Format "  NODELOAD %6i%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*set var noLoadsExist = 0
*endif  
*#-----------------------------------------------------------------------
*# Uniformly Distributed Beam Load
*#-----------------------------------------------------------------------
*#Function F1
*If(bmf1(Int)>0)
  FUNCTION F1
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0) 
*if(cond(X_pressure,real)!=0.||cond(Y_pressure,real)!=0.)
*format " DISTRBEAM %4i%10.2e%10.2e"
*ElemsNum*cond(X_pressure)*cond(Y_pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*set var noLoadsExist = 0
*endif
*#Function FLOAD
*If(bmfload(Int)>0)
  FUNCTION FLOAD
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*if(cond(X_pressure,real)!=0.||cond(Y_pressure,real)!=0.)
*format " DISTRBEAM %4i%10.2e%10.2e"
*ElemsNum*cond(X_pressure)*cond(Y_pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*set var noLoadsExist = 0
*endif
*#Function F1PS
*If(bmf1ps(Int)>0)
  FUNCTION F1PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*if(cond(X_pressure,real)!=0.||cond(Y_pressure,real)!=0.)
*format " DISTRBEAM %4i%10.2e%10.2e"
*ElemsNum*cond(X_pressure)*cond(Y_pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*set var noLoadsExist = 0
*endif
*#Function F1000PS
*If(bmf1000ps(Int)>0)
  FUNCTION F1000PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*if(cond(X_pressure,real)!=0.||cond(Y_pressure,real)!=0.)
*format " DISTRBEAM %4i%10.2e%10.2e"
*ElemsNum *cond(X_Pressure) *cond(Y_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*set var noLoadsExist = 0
*endif
*#Function User_Defined
*If(nbmloaduser(int)>0)
*Set Var bmloaduserdone(int)=0
*Set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*If(bmloaduserdone(int)==0)
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
FUNCTION        *cond(Filename.fct)
*Set Var bmloaduserdone = 1
*endif
*endif
*End elems
*endif
*If(nbmloaduser(int)>0)
*Set elems(Linear)
*Set cond Beam-Load *elems
*#  FUNCTION        *cond(Filename.fct)
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*If(cond(X_pressure,real)!=0.||cond(Y_pressure,real)!=0.)
*format " DISTRBEAM %4i%10.2e%10.2e"
*ElemsNum*cond(X_pressure)*cond(Y_pressure)
*endif
*endif
*end elems
  END_LOAD
*set var noLoadsExist = 0
*endif  
*#-----------------------------------------------------------------------
*# Trapezoidal Load Global
*#-----------------------------------------------------------------------
*#Function F1
*If(tglf1(Int)>0)
  FUNCTION F1
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function FLOAD
*If(tglfload(Int)>0)
  FUNCTION FLOAD
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function F1PS
*If(tglf1ps(Int)>0)
  FUNCTION F1PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function F1000PS
*If(tglf1000ps(Int)>0)
  FUNCTION F1000PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function User_Defined
*If(ntglloaduser(int)>0)
*Set Var glloaduserdone(int)=0
*Set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*If(glloaduserdone(int)==0)
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
FUNCTION        *cond(Filename.fct)
*Set Var glloaduserdone = 1
*endif
*endif
*End elems
*endif
*If(ntglloaduser(int)>0)
*Set elems(Linear)
*Set cond TrapLoadGlobal *elems
*#  FUNCTION        *cond(Filename.fct)
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global)
*endif
*endif
*end elems
  END_LOAD
*endif  
*#-----------------------------------------------------------------------
*# Trapezoidal Load Local
*#-----------------------------------------------------------------------
*#Function F1
*If(tlocf1(Int)>0)
  FUNCTION F1
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function FLOAD
*If(tlocfload(Int)>0)
  FUNCTION FLOAD
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function F1PS
*If(tlocf1ps(Int)>0)
  FUNCTION F1PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function F1000PS
*If(tlocf1000ps(Int)>0)
  FUNCTION F1000PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*endif
*#Function User_Defined
*If(ntlocloaduser(int)>0)
*Set Var locloaduserdone(int)=0
*Set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*If(locloaduserdone(int)==0)
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
FUNCTION        *cond(Filename.fct)
*Set Var locloaduserdone = 1
*endif
*endif
*End elems
*endif
*If(ntlocloaduser(int)>0)
*Set elems(Linear)
*Set cond TrapLoadLocal *elems
*#  FUNCTION        *cond(Filename.fct)
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local) *cond(Trap_Load_Local_#)
*endif
*endif
*end elems
  END_LOAD
*endif  
*#---------------------------------------------------------------
*# Close loads if no load exists
*#---------------------------------------------------------------
*# *if(noLoadsExist==1)
*#  END_LOAD
*# *endif
*#---------------------------------------------------------------
*# HydrostaticLoad
*#---------------------------------------------------------------
*# *Set Var nHydrostatic(int) =0
*Set cond HydrostaticLoad *elems *CanRepeat
*# *Set Var nHydrostatic(int) =  CondNumEntities
*loop elems *OnlyInCond 
*# *Set Var nHydrostatic(int) =  nHydrostatic + 1
 WATERTABLE *cond(File-Name) 
 SPECWEIGHT *cond(Specific_weight)
*format "     HYDROBM  %4i"
*ElemsNum
*End elems
*#*if((nHydrostatic(int) > 0) )
*#END_HYDRO
*#-----------------------------------------------------------------------------
*# Masses for DYNAMIC - Calculation
*#-----------------------------------------------------------------------------
*if((strcmp(GenData(Mode),"DYNAMIC_PURE_NR")==0) || (strcmp(GenData(Mode),"DYNAMIC_APPR_NR")==0))
      MASS
*Set cond Mass_on_Node *nodes
*loop nodes *OnlyInCond 
*format "    M_NODE %4i%10.2e%10.2e%10.2e"
*NodesNum *cond(Mass_1) *cond(Mass_2) *cond(Mass_3)
*end nodes
*set elems(ALL)
*Set cond Mass_on_Beam *elems
*loop elems *OnlyInCond 
*format "    M_BEAM %4i%10.2e"
*ElemsNum *cond(Distributed-Beam-Mass)
*end elems
  END_MASS
*endif
*#-----------------------------------------------------------------------------
*# Materials
*#-----------------------------------------------------------------------------
 MATERIALS
*if(Gendata(Number_of_materials,INT)>0)
*GenData(Material1)
*if(strcmp(Gendata(Material1),"STEELEC3")==0 || strcmp(Gendata(Material1),"STEELEC3DC")==0 || strcmp(Gendata(Material1),"STEELEC2")==0 || strcmp(Gendata(Material1),"PSTEELA16")==0 || strcmp(Gendata(Material1),"STEELEC3EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength)  *Gendata(Mat1_Max_Temperature)   *Gendata(Mat1_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material1),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength)  *Gendata(Mat1_Max_Temperature)   *Gendata(Mat1_Rate_Decrease_Yield_Strength) *GenData(Mat1_Process_Fabrication) *GenData(Mat1_Class_Ductility)
*elseif(strcmp(Gendata(Material1),"SILCONC_EN")==0 || strcmp(Gendata(Material1),"CALCONC_EN")==0 || strcmp(Gendata(Material1),"SILCON_ETC")==0 || strcmp(Gendata(Material1),"CALCON_ETC")==0 || strcmp(Gendata(Material1),"LWCONC_EN")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"SILHSC1_EN")==0 || strcmp(Gendata(Material1),"SILHSC2_EN")==0 || strcmp(Gendata(Material1),"SILHSC3_EN")==0 || strcmp(Gendata(Material1),"CALHSC1_EN")==0 || strcmp(Gendata(Material1),"CALHSC2_EN")==0 || strcmp(Gendata(Material1),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"SILHSC1ETC")==0 || strcmp(Gendata(Material1),"SILHSC2ETC")==0 || strcmp(Gendata(Material1),"SILHSC3ETC")==0 || strcmp(Gendata(Material1),"CALHSC1ETC")==0 || strcmp(Gendata(Material1),"CALHSC2ETC")==0 || strcmp(Gendata(Material1),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio)
*elseif(strcmp(Gendata(Material1),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
          *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength) *Gendata(Mat1_Max_Temperature) *Gendata(Mat1_Rate_Decrease_Yield_Strength) *Gendata(Mat1_Slenderness) *Gendata(Mat1_Number_of_Supports)
*else
    
*endif
*endif
*if(Gendata(Number_of_materials,INT)>1)
*GenData(Material2)
*if(strcmp(Gendata(Material2),"STEELEC3")==0 || strcmp(Gendata(Material2),"STEELEC3DC")==0 || strcmp(Gendata(Material2),"STEELEC2")==0 || strcmp(Gendata(Material2),"PSTEELA16")==0 || strcmp(Gendata(Material2),"STEELEC3EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Yield_strength)  *Gendata(Mat2_Max_Temperature)   *Gendata(Mat2_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material2),"STEELEC2EN")==0))
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Yield_strength)  *Gendata(Mat2_Max_Temperature)   *Gendata(Mat2_Rate_Decrease_Yield_Strength) *GenData(Mat2_Process_Fabrication) *GenData(Mat2_Class_Ductility)
*elseif(strcmp(Gendata(Material2),"SILCONC_EN")==0 || strcmp(Gendata(Material2),"CALCONC_EN")==0 || strcmp(Gendata(Material2),"SILCON_ETC")==0 || strcmp(Gendata(Material2),"CALCON_ETC")==0 || strcmp(Gendata(Material2),"LWCONC_EN")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"SILHSC1_EN")==0 || strcmp(Gendata(Material2),"SILHSC2_EN")==0 || strcmp(Gendata(Material2),"SILHSC3_EN")==0 || strcmp(Gendata(Material2),"CALHSC1_EN")==0 || strcmp(Gendata(Material2),"CALHSC2_EN")==0 || strcmp(Gendata(Material2),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"SILHSC1ETC")==0 || strcmp(Gendata(Material2),"SILHSC2ETC")==0 || strcmp(Gendata(Material2),"SILHSC3ETC")==0 || strcmp(Gendata(Material2),"CALHSC1ETC")==0 || strcmp(Gendata(Material2),"CALHSC2ETC")==0 || strcmp(Gendata(Material2),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio)
*elseif(strcmp(Gendata(Material2),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
          *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Yield_strength) *Gendata(Mat2_Max_Temperature) *Gendata(Mat2_Rate_Decrease_Yield_Strength) *Gendata(Mat2_Slenderness) *Gendata(Mat1_Number_of_Supports)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>2)
*GenData(Material3)
*if(strcmp(Gendata(Material3),"STEELEC3")==0 || strcmp(Gendata(Material3),"STEELEC3DC")==0 || strcmp(Gendata(Material3),"STEELEC2")==0 || strcmp(Gendata(Material3),"PSTEELA16")==0 || strcmp(Gendata(Material3),"STEELEC3EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Yield_strength)  *Gendata(Mat3_Max_Temperature)   *Gendata(Mat3_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material3),"STEELEC2EN")==0))
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Yield_strength)  *Gendata(Mat3_Max_Temperature)   *Gendata(Mat3_Rate_Decrease_Yield_Strength) *GenData(Mat3_Process_Fabrication) *GenData(Mat3_Class_Ductility)
*elseif(strcmp(Gendata(Material3),"SILCONC_EN")==0 || strcmp(Gendata(Material3),"CALCONC_EN")==0 || strcmp(Gendata(Material3),"SILCON_ETC")==0 || strcmp(Gendata(Material3),"CALCON_ETC")==0 || strcmp(Gendata(Material3),"LWCONC_EN")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)
*elseif(strcmp(Gendata(Material3),"SILHSC1_EN")==0 || strcmp(Gendata(Material3),"SILHSC2_EN")==0 || strcmp(Gendata(Material3),"SILHSC3_EN")==0 || strcmp(Gendata(Material3),"CALHSC1_EN")==0 || strcmp(Gendata(Material3),"CALHSC2_EN")==0 || strcmp(Gendata(Material3),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)
*elseif(strcmp(Gendata(Material3),"SILHSC1ETC")==0 || strcmp(Gendata(Material3),"SILHSC2ETC")==0 || strcmp(Gendata(Material3),"SILHSC3ETC")==0 || strcmp(Gendata(Material3),"CALHSC1ETC")==0 || strcmp(Gendata(Material3),"CALHSC2ETC")==0 || strcmp(Gendata(Material3),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)
*elseif(strcmp(Gendata(Material3),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio)
*elseif(strcmp(Gendata(Material3),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)
*elseif(strcmp(Gendata(Material3),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
          *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Yield_strength) *Gendata(Mat3_Max_Temperature) *Gendata(Mat3_Rate_Decrease_Yield_Strength) *Gendata(Mat3_Slenderness) *Gendata(Mat1_Number_of_Supports)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>3)
*GenData(Material4)
*if(strcmp(Gendata(Material4),"STEELEC3")==0 || strcmp(Gendata(Material4),"STEELEC3DC")==0 || strcmp(Gendata(Material4),"STEELEC2")==0 || strcmp(Gendata(Material4),"PSTEELA16")==0 || strcmp(Gendata(Material4),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Yield_strength)  *Gendata(Mat4_Max_Temperature)   *Gendata(Mat4_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material4),"STEELEC2EN")==0))
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Yield_strength)  *Gendata(Mat4_Max_Temperature)   *Gendata(Mat4_Rate_Decrease_Yield_Strength) *GenData(Mat4_Process_Fabrication) *GenData(Mat4_Class_Ductility)
*elseif(strcmp(Gendata(Material4),"SILCONC_EN")==0 || strcmp(Gendata(Material4),"CALCONC_EN")==0 || strcmp(Gendata(Material4),"SILCON_ETC")==0 || strcmp(Gendata(Material4),"CALCON_ETC")==0 || strcmp(Gendata(Material4),"LWCONC_EN")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"SILHSC1_EN")==0 || strcmp(Gendata(Material4),"SILHSC2_EN")==0 || strcmp(Gendata(Material4),"SILHSC3_EN")==0 || strcmp(Gendata(Material4),"CALHSC1_EN")==0 || strcmp(Gendata(Material4),"CALHSC2_EN")==0 || strcmp(Gendata(Material4),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"SILHSC1ETC")==0 || strcmp(Gendata(Material4),"SILHSC2ETC")==0 || strcmp(Gendata(Material4),"SILHSC3ETC")==0 || strcmp(Gendata(Material4),"CALHSC1ETC")==0 || strcmp(Gendata(Material4),"CALHSC2ETC")==0 || strcmp(Gendata(Material4),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio)
*elseif(strcmp(Gendata(Material4),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
          *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Yield_strength) *Gendata(Mat4_Max_Temperature) *Gendata(Mat4_Rate_Decrease_Yield_Strength) *Gendata(Mat4_Slenderness) *Gendata(Mat1_Number_of_Supports)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>4)
*GenData(Material5)
*if(strcmp(Gendata(Material5),"STEELEC3")==0 || strcmp(Gendata(Material5),"STEELEC3DC")==0 || strcmp(Gendata(Material5),"STEELEC2")==0 || strcmp(Gendata(Material5),"PSTEELA16")==0 || strcmp(Gendata(Material5),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Yield_strength)  *Gendata(Mat5_Max_Temperature)   *Gendata(Mat5_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material5),"STEELEC2EN")==0))
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Yield_strength)  *Gendata(Mat5_Max_Temperature)   *Gendata(Mat5_Rate_Decrease_Yield_Strength) *GenData(Mat5_Process_Fabrication) *GenData(Mat5_Class_Ductility)
*elseif(strcmp(Gendata(Material5),"SILCONC_EN")==0 || strcmp(Gendata(Material5),"CALCONC_EN")==0 || strcmp(Gendata(Material5),"SILCON_ETC")==0 || strcmp(Gendata(Material5),"CALCON_ETC")==0 || strcmp(Gendata(Material5),"LWCONC_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"SILHSC1_EN")==0 || strcmp(Gendata(Material5),"SILHSC2_EN")==0 || strcmp(Gendata(Material5),"SILHSC3_EN")==0 || strcmp(Gendata(Material5),"CALHSC1_EN")==0 || strcmp(Gendata(Material5),"CALHSC2_EN")==0 || strcmp(Gendata(Material5),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"SILHSC1ETC")==0 || strcmp(Gendata(Material5),"SILHSC2ETC")==0 || strcmp(Gendata(Material5),"SILHSC3ETC")==0 || strcmp(Gendata(Material5),"CALHSC1ETC")==0 || strcmp(Gendata(Material5),"CALHSC2ETC")==0 || strcmp(Gendata(Material5),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio)
*elseif(strcmp(Gendata(Material5),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
          *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Yield_strength) *Gendata(Mat5_Max_Temperature) *Gendata(Mat5_Rate_Decrease_Yield_Strength) *Gendata(Mat5_Slenderness) *Gendata(Mat1_Number_of_Supports)
*else
   
*endif
*endif
      TIME
*if((strcmp(GenData(Mode),"DYNAMIC_PURE_NR")==0) || (strcmp(GenData(Mode),"DYNAMIC_APPR_NR")==0))
*format "%10.1f%10.1f%10.1f"
*GenData(TIMESTEP) *GenData(UPTIME) *GenData(TIMESTEPMAX)
*else
*format "%10.1f%10.1f"
*GenData(TIMESTEP) *GenData(UPTIME)
*endif
   ENDTIME
     EPSTH
IMPRESSION
 TIMEPRINT
*format "%10.1f%10.1f"
*GenData(TIMEPRINT) *GenData(UPTIME)
END_TIMEPR
*#*if(strcmp(Gendata(PRINTDEPL_Print_displacement_variation),"yes")==0)
*# PRINTDEPL
*#*endif
*if(strcmp(Gendata(PRINTTMPRT_Print_temperatures_in_the_fibers),"yes")==0)
PRINTTMPRT
*endif
*if(strcmp(Gendata(PRINTVELAC_Print_velocity_and_acceleration),"yes")==0)
PRINTVELAC
*endif
*#*if(strcmp(Gendata(PRINTFHE_Print_out_of_balance_forces),"yes")==0)
*#  PRINTFHE
*#*endif
*if(strcmp(Gendata(PRINTREACT_Print_reactions),"yes")==0)
PRINTREACT
*endif
*if(strcmp(Gendata(PRINTMN_Print_internal_forces_of_beams),"yes")==0)
   PRINTMN
*endif
*if(strcmp(Gendata(PRNEIBEAM_Print_stiffness_in_beams),"yes")==0)
   PRNEIBEAM
*endif
*#-----------------------------------------------------------------
*# CONNECTIONS
*#-----------------------------------------------------------------
*# *If(nDisconnect>0)
*# *Set Var Nnodin = Ndmax
*# *Set Var NnodAtm = Ndmax+1
*# *format "%6i"
*#  NCONNEC*nDisconnect
*# *Set Var NumConnec = 0
*# *set Cond Point_Disconnect_ends *nodes
*# *loop nodes *OnlyInCond 
*# *Set Var NodCon = NodesNum
*# *Set Var NumConnec = NumConnec+1
*# *Set Var XNodCon = NodesCoord(1,real)
*# *Set Var YNodCon = NodesCoord(2,real)
*# *Set Var ZNodCon = NodesCoord(3,real)
*# *Set Var multcon = 0
*# *set var Idt = Cond(Identifier,Int)
*# *Set Cond Line_Disconnect_ends *elems
*# *loop elems *OnlyInCond  
*# *Set Var Nel = ElemsNum
*# *Set var Nd3 = Nd3 + 1
*# *set var Nd1 = ElemsConec(1,int)
*# *set var Nd2 = ElemsConec(2,int)
*# *if(cond(Disconnect_master,Int)!=1)
*# *If(cond(Identifier,int)==Idt)
*# *if(Nd1==NodesNum)
*# *If(multcon==0)
*# *format "NCNC %6i%15.9e%15.9e%15.9e"
*# *NnodAtm *XnodCon *YNodCon *ZNodCon
*# *Set Var multcon = 1
*# *Format "%6i%5i"
*#       SAME*NodCon*NnodAtm*\
*# *if(cond(Disconnect_x_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_y_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_z_rot,int)==1)
*#    NO
*# *else
*#   YES
*# *endif
*# *Set Var Newnod = NnodAtm
*# *Set Var NnodAtm = NnodAtm +1
*# *endif
*# *Format " ELMD %6i%6i%6i"
*# *ElemsNum *NodCon *Newnod
*# *endif
*# *if(Nd2==NodesNum)
*# *If(multcon==0)
*# *format "NCNC %6i%15.9e%15.9e%15.9e"
*# *NnodAtm *XnodCon *YNodCon *ZNodCon
*# *Set Var multcon = 1
*# *Format "%6i%5i"
*#       SAME*NodCon*NnodAtm*\
*# *if(cond(Disconnect_x_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_y_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_z_rot,int)==1)
*#    NO
*# *else
*#   YES
*# *endif
*# *Set Var Newnod = NnodAtm
*# *Set Var NnodAtm = NnodAtm +1
*# *endif
*# *Format " ELMD %6i%6i%6i"
*# *ElemsNum *NodCon *Newnod
*# *endif
*# *endif
*# *endif
*# *end elems
*# *set Cond Point_Disconnect_ends *nodes
*# *end nodes
*# *Endif
