InputFile created with GiD-SAFIR_2016 Interface
*GenData(Title_1)
*GenData(Title_2)

*Set Var nbloads(Int) = 0
*Set var noLoadsExist=1
*#---------------------------------------------------------------
*# Check Point-Loads that exist  
*#---------------------------------------------------------------
*Set Var nnodloaduser(int) =0
*Set Var nodf1(Int) =0
*Set Var nodfload(int) =0
*Set Var nodf1ps(int) =0
*Set Var nodf1000ps(int) =0
*Set cond Point-Load *nodes *CanRepeat
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var nnodloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var nodf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var nodfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var nodf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var nodf1000ps(int)=1
*endif
*end nodes
*Set Var nbloads(int) = nbloads + nnodloaduser + nodf1 + nodfload + nodf1ps + nodf1000ps
*#---------------------------------------------------------------
*# Check UDLoads that exist  
*#---------------------------------------------------------------
*Set Var nbmloaduser(int) =0
*Set Var bmf1(Int) =0
*Set Var bmfload(int) =0
*Set Var bmf1ps(int) =0
*Set Var bmf1000ps(int) =0
*Set cond Beam-Load *elems *CanRepeat
*loop elems *OnlyInCond 
*If(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var nbmloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var bmf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var bmfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var bmf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var bmf1000ps(int)=1
*endif
*End elems
*Set Var nbloads(int)=nbloads + nbmloaduser + bmf1 + bmfload + bmf1ps + bmf1000ps
*#---------------------------------------------------------------
*# Check TrapLoadGlobal that exist  
*#---------------------------------------------------------------
*Set Var ntglloaduser(int) =0
*Set Var tglf1(Int) =0
*Set Var tglfload(int) =0
*Set Var tglf1ps(int) =0
*Set Var tglf1000ps(int) =0
*Set cond TrapLoadGlobal *elems *CanRepeat
*loop elems *OnlyInCond 
*If(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var ntglloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var tglf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var tglfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var tglf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var tglf1000ps(int)=1
*endif
*End elems
*Set Var nbloads(int)=nbloads + ntglloaduser + tglf1 + tglfload + tglf1ps + tglf1000ps
*#---------------------------------------------------------------
*# Check TrapLoadLocal that exist  
*#---------------------------------------------------------------
*Set Var ntlocloaduser(int) =0
*Set Var tlocf1(Int) =0
*Set Var tlocfload(int) =0
*Set Var tlocf1ps(int) =0
*Set Var tlocf1000ps(int) =0
*Set cond TrapLoadLocal *elems *CanRepeat
*loop elems *OnlyInCond 
*If(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var ntlocloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var tlocf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var tlocfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var tlocf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var tlocf1000ps(int)=1
*endif
*End elems
*Set Var nbloads(int)=nbloads + ntlocloaduser + tlocf1 + tlocfload + tlocf1ps + tlocf1000ps
*#---------------------------------------------------------------
*# Check HydrostaticLoad beams that exist  
*#---------------------------------------------------------------
*Set Var nHydrostatic(int) =0
*Set cond HydrostaticLoad *elems *CanRepeat
*Set Var nHydrostatic(int) =  CondNumEntities
*#---------------------------------------------------------------
*# Check Shell-Loads that exist  
*#---------------------------------------------------------------
*Set Var nshloaduser(int) =0
*Set Var shf1(Int) =0
*Set Var shfload(int) =0
*Set Var shf1ps(int) =0
*Set Var shf1000ps(int) =0
*Set cond Global_Shell_Load *elems *CanRepeat
*loop elems *OnlyInCond
*If(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*Set Var nshloaduser(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*Set Var shf1(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*Set Var shfload(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*Set Var shf1ps(int)=1
*endif
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*Set Var shf1000ps(int)=1
*endif
*End elems
*Set Var nbloads(int) = nbloads + nshloaduser + shf1 + shfload + shf1ps + shf1000ps
*#-------------------------------------------------------------------
*# Count number of oblique supports
*#-------------------------------------------------------------------
*set Cond Oblique_Support *nodes
*set var noblique(int) = CondNumEntities
*#-------------------------------------------------------------------
*# Count number of points with Disconnects degrees of freedom 
*# (Disconnect - command)
*#-------------------------------------------------------------------
*# *set Cond Point_Disconnect_ends *nodes
*# *Set var nDisconnect(int) = CondNumEntities
*#-------------------------------------------------------------------
*# count number beams, truss, shell - elements
*#-------------------------------------------------------------------
*set var nbeams(int)=0
*set var ntruss(int)=0
*set var nshell(int)=0
*Set Cond SHELL_Section_property *elems
*set var nshell(int)=CondNumEntities
*set var nsolid(int)=nelem(Hexahedra)
*set elems(linear)
*Set Cond TRUSS_Cross_Section *elems
*set var ntruss(int)=CondNumEntities
*Set Cond BEAM_Cross_Section *elems
*set var nbeams(int)=CondNumEntities
*if(nelem(Triangle))
*MessageBox error: Triangle Shell-elements are not permitted.
*endif
*if(nelem(Quadrilateral)!=nshell)
*MessageBox Error: Not all quadrilateral entities have a SHELL property !
*endif
*#----------------------------------------------------------------
*# count and write number of nodes needed
*#-------------------------------------------------------------------
*set var Nd3 = npoin(int)
*set var Ndmax(int) = Nd3(int) + nbeams(int) + 2*noblique(int)
*#----------------------------------------------------------------
*# ***************** WRITING ********************
*#----------------------------------------------------------------
*# Number of nodes
*#-------------------------------------------------------------------
*format "%6i"
     NNODE*Ndmax
      NDIM    3
*if(nbeams>0)
   NDOFMAX    7
*elseif(nshell>0)
   NDOFMAX    6
*else
   NDOFMAX    3
*endif
*#--------------------------------------------------------------------------- 
*# Number of relaxations in BEAMS
*#---------------------------------------------------------------------------
*Set Cond Relax_Beam_DOF *elems
*set var nRelaxesBeams(int)=CondNumEntities
*#--------------------------------------------------------------------------- 
*# Choice of the Solver procedure
*#---------------------------------------------------------------------------
*if(strcmp(Gendata(SOLVER),"CHOLESKY")==0)
  SOLVER  *GenData(SOLVER)
*format "%10.1f"
*else
*format "%4i" 
    NCORES *GenData(NCORES)
*endif
*#---------------------------------------------------------------------------
*if(strcmp(GenData(Loads),"STATIC_PURE_NR")==0)
    STATIC   PURE_NR
*elseif(strcmp(GenData(Loads),"STATIC_APPR_NR")==0)
    STATIC   APPR_NR
*elseif(strcmp(GenData(Loads),"DYNAMIC_PURE_NR")==0)
   DYNAMIC   PURE_NR
*elseif(strcmp(GenData(Loads),"DYNAMIC_APPR_NR")==0)
   DYNAMIC   APPR_NR
*elseif(strcmp(GenData(Loads),"STATICCOLD_PURE_NR")==0)
STATICCOLD   PURE_NR
*elseif(strcmp(GenData(Loads),"STATICCOLD_APPR_NR")==0)
STATICCOLD   APPR_NR
*else
*Gendata(loads)
*endif
     NLOAD    *nbloads
*Set Var nBeamsLoadedHydro(int) =  CondNumEntities
*if(nHydrostatic>0)
*format "%4i"
     HYDROST    *nBeamsLoadedHydro
*endif
*format "%4i"
   OBLIQUE *noblique 
*if(strcmp(GenData(Convergence),"COMEBACK")==0)
  COMEBACK *GenData(TIMESTEPMIN)
*else
NOCOMEBACK
*#---------------------------------------------------------------------------
*endif
*if(strcmp(Gendata(SOLVER),"CHOLESKY")==0)
*if(strcmp(Gendata(Renumber),"RENUMGEO")==0)
  RENUMGEO  1
*else
*Gendata(Renumber)
*endif
*else
   NORENUM
*endif
*#---------------------------------------------------------------------------
*format "%4i"
      NMAT *Gendata(Number_of_materials)
  ELEMENTS
*if(nbeams>0)
*format "%6i%5i"
      BEAM *nbeams *Gendata(NGEOBEAM)
        NG *Gendata(NG)
*format "%6i"
    NFIBER *Gendata(NFIBERBEAM)
*endif
*if(ntruss>0)
*format "%6i%5i"
     TRUSS *ntruss *Gendata(NGEOTRUSS)
*endif
*if(nshell>0)
*format "%6i%5i"
     SHELL *nshell *Gendata(NGEOSHELL)
*format "%4i"
   NGTHICK *Gendata(NGSHELLTHICK)
    NGAREA    2
*format "%4i"
   NREBARS *Gendata(NREBARS) 
*endif
*if(nsolid>0)
*format "%4i"
     SOLID *nsolid
        NG    2
*endif
  END_ELEM
*#-------------------------------------------------------
*# write node coordinates
*#-------------------------------------------------------
     NODES
*loop nodes
*format "%6i%15.9e%15.9e%15.9e"
      NODE*NodesNum *NodesCoord(1,real) *NodesCoord(2,real) *NodesCoord(3,real)
*end nodes
*#-------------------------------------------------------
*# create middle node for beams
*#-------------------------------------------------------
*set var Nd3(int) = npoin(int)
*set elems(linear)
*Set Cond BEAM_Cross_Section *elems
*loop elems *OnlyInCond
*set var Nd3=ND3+1
*set var X3 = ((NodesCoord(1,1) + NodesCoord(2,1))*0.5)
*set var Y3 = ((NodesCoord(1,2) + NodesCoord(2,2))*0.5)
*set var Z3 = ((NodesCoord(1,3) + NodesCoord(2,3))*0.5)
*#format "%6i%10.4f%10.4f%10.4f"
*format "%6i%15.9e%15.9e%15.9e"
      NODE*Nd3 *X3 *Y3 *Z3
*end elems
*#------------------------------------------------------
*# create extra nodes for oblique supports
*#------------------------------------------------------
*if(noblique>0)
*set Cond Oblique_Support *nodes
*loop nodes *OnlyInCond
*set var Nd3=Nd3+1
*set var X3 = (NodesCoord(1,real) + Cond(Point2_Delta-X,real))
*set var Y3 = (NodesCoord(2,real) + Cond(Point2_Delta-Y,real))
*set var Z3 = (NodesCoord(3,real) + Cond(Point2_Delta-Z,real))
*format "%6i%15.9e%15.9e%15.9e"
      NODE*Nd3 *X3 *Y3 *Z3
*set var Nd3=Nd3+1
*set var X3 = (NodesCoord(1,real) + Cond(Point3_Delta-X,real))
*set var Y3 = (NodesCoord(2,real) + Cond(Point3_Delta-Y,real))
*set var Z3 = (NodesCoord(3,real) + Cond(Point3_Delta-Z,real))
*format "%6i%15.9e%15.9e%15.9e"
      NODE*Nd3 *X3 *Y3 *Z3
*end nodes
*endif
*#--------------------------------------------------------------------
*# Constraints for supports
*#--------------------------------------------------------------------
 FIXATIONS
*Set Cond Line-Constraints *nodes
*add Cond Point-Constraints *nodes
*loop nodes *OnlyInCond
*if(cond(X-Constraint,int)==1) 
*format "%6i"
     BLOCK*NodesNum   F0*\
*else
*format "%6i"
     BLOCK*NodesNum   NO*\
*endif
*if(cond(Y-Constraint,int)==1) 
   F0*\
*else
   NO*\
*endif
*if(cond(Z-Constraint,int)==1)
   F0*\
*else
   NO*\
*endif
*if(cond(ROTX.Constraint,int)==1)
   F0*\
*else
   NO*\
*endif
*if(cond(ROTY.Constraint,int)==1)
   F0*\
*else
   NO*\
*endif
*if(cond(ROTZ.Constraint,int)==1)
   F0*\ 
*else
   NO*\ 
*endif
   NO
*end nodes
   END_FIX
*#-----------------------------------------------------------------------
*# beam element TRANSLATE cards
*#-----------------------------------------------------------------------
*if(nbeams(int)>0)
 NODOFBEAM
*set elems(All)
*set elems(linear)
*Set cond BEAM_Cross_Section *elems
*loop elems *OnlyInCond
*cond(File-Name)
*#format "%5i"
*cond(Number_of_materials,int)
*format "%4i"
 TRANSLATE    1 *cond(Mat1_Global_Nr)
*if(cond(Number_of_materials,int)>1)
*format "%4i"
 TRANSLATE    2 *cond(Mat2_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>2)
*format "%4i"
 TRANSLATE    3 *cond(Mat3_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>3)
*format "%4i"
 TRANSLATE    4 *cond(Mat4_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>4)
*format "%4i"
 TRANSLATE    5 *cond(Mat5_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>5)
*format "%4i"
 TRANSLATE    6 *cond(Mat6_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>6)
*format "%4i"
 TRANSLATE    7 *cond(Mat7_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>7)
*format "%4i"
 TRANSLATE    8 *cond(Mat8_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>8)
*format "%4i"
 TRANSLATE    9 *cond(Mat9_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>9)
*format "%4i"
 TRANSLATE    10 *cond(Mat10_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>10)
*format "%4i"
 TRANSLATE    11 *cond(Mat11_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>11)
*format "%4i"
 TRANSLATE    12 *cond(Mat12_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>12)
*format "%4i"
 TRANSLATE    13 *cond(Mat13_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>13)
*format "%4i"
 TRANSLATE    14 *cond(Mat14_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>14)
*format "%4i"
 TRANSLATE    15 *cond(Mat15_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>15)
*format "%4i"
 TRANSLATE    16 *cond(Mat16_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>16)
*format "%4i"
 TRANSLATE    17 *cond(Mat17_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>17)
*format "%4i"
 TRANSLATE    18 *cond(Mat18_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>18)
*format "%4i"
 TRANSLATE    19 *cond(Mat19_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>19)
*format "%4i"
 TRANSLATE    20 *cond(Mat20_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>20)
*format "%4i"
 TRANSLATE    21 *cond(Mat21_Global_Nr)
*endif
*if(cond(Number_of_materials,int)>21)
*format "%4i"
 TRANSLATE    22 *cond(Mat22_Global_Nr)
*endif
*end elems
*# END_TRANS
*#----------------------------------------------------------------------
*# Output all Local Axes 
*# ---------------------------------------------------------------------
BEGIN_LOCAL_AXES
*loop localaxes
*format "%5i"
*LocalAxesNum
*format "cen %15.10f   %15.10f   %15.10f"
*localAxesDefCenter(1) *localAxesDefCenter(2) *localAxesDefCenter(3)
*format "x'= %15.10f   %15.10f   %15.10f"
*LocalAxesDef(1) *LocalAxesDef(4) *LocalAxesDef(7)
*format "y'= %15.10f   %15.10f   %15.10f"
*LocalAxesDef(2) *LocalAxesDef(5) *LocalAxesDef(8)
*format "z'= %15.10f   %15.10f   %15.10f"
*LocalAxesDef(3) *LocalAxesDef(6) *LocalAxesDef(9)
*end localaxes
END_LOCAL_AXES
*# ----------------------------------------------------------------------
*# Beam elements
*#-----------------------------------------------------------------------
*set var Nd3(int) = npoin(int)
*set elems(All)
*set elems(linear)
*Set cond BEAM_Cross_Section *elems
*loop elems *OnlyInCond
*set var Nd3 = Nd3 + 1
*format "     ELEM%6i%6i%6i%6i%6i"
*ElemsNum*ElemsConec(1,int)*Nd3*ElemsConec(2,int) *LocalAxesNum *cond(File-Name)
*end elems
*endif
*#----------------------------------------------------------------------
*# SOLID - elements
*#----------------------------------------------------------------------
*if(nsolid)>0
*set elems(All)
*set elems(Hexahedra)
*Set cond SOLID_Section_property *elems
NODOFSOLID
*GenData(Solid_Temp_File-Name)
*loop elems 
*format "     ELEM%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i"
*ElemsNum *ElemsConec *cond(Solid_Mat_Global_Nr)      0      0      0 
*end elems
*#  ENDSYM
*endif
*#----------------------------------------------------------------------
*# SHELL - elements
*#----------------------------------------------------------------------
*if(nshell(int)>0)
*set elems(All)
*set elems(Quadrilateral)
*Set cond SHELL_Section_property *elems
 NODOFSHELL
*loop elems *OnlyInCond
*cond(Shell_Temp_File-Name)
*cond(Number_of_shell_materials,int)
*format "%4i"  
  TRANSLATE    1 *cond(Shell_Mat1_Global_Nr)
*if(cond(Number_of_shell_materials,int)>1)
*format "%4i"
  TRANSLATE    2 *cond(Shell_Mat2_Global_Nr)
*endif
*if(cond(Number_of_shell_materials,int)>2)
*format "%4i"
  TRANSLATE    3 *cond(Shell_Mat3_Global_Nr)
*# END_TRANS
*endif
*end elems
*# END_TRANS
*#set elems(Quadrilateral)
*loop elems *OnlyInCond
*set var NGeoBeamNum(int) = 1
*#set var NGeoBeamName(st) = *cond(shell_Temp_File-Name)
*format "     ELEM%6i%6i%6i%6i%6i%6i"
*ElemsNum *ElemsConec(1,int) *ElemsConec(2,int) *ElemsConec(3,int) *ElemsConec(4,int) *cond(shell_Temp_File-Name)
*end elems
*endif
*#------------------------------------------------------------------------
*# TRUSS elemets
*#------------------------------------------------------------------------
*if(ntruss(int)>0)
*set elems(All)
*set elems(linear)
NODOFTRUSS
*Set cond TRUSS_Cross_Section *elems
*loop elems *OnlyInCond
*cond(1)*\
*Format "%10.4e%9.4e%4i"
           *cond(2) *cond(3) *cond(4)
*End elems
*Set cond TRUSS_Cross_Section *elems
*loop elems *OnlyInCond
*format "      ELEM%6i%6i%6i"
*ElemsNum *ElemsConec(1,int) *ElemsConec(2,int) *cond(1) *cond(2) *cond(3) *cond(4)
*end elems
*endif
*#--------------------------------------------------------------------------
*# RELAX_ELEM 
*#--------------------------------------------------------------------------
*if(nRelaxesBeams(int)>0)
RELAX_ELEM
*#---RELAX_BEAM---
*if(nRelaxesBeams(int)>0)
   BEAMS
*set elems(All)
*Set cond Relax_Beam_DOF *elems
*loop elems *OnlyInCond
*format "     ELEM%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i%6i"
*ElemsNum *cond(N1_DOF1) *cond(N1_DOF2) *cond(N1_DOF3) *cond(N1_DOF4) *cond(N1_DOF5) *cond(N1_DOF6) *cond(N1_DOF7)     *cond(N2_DOF1) *cond(N2_DOF2) *cond(N2_DOF3) *cond(N2_DOF4) *cond(N2_DOF5) *cond(N2_DOF6) *cond(N2_DOF7)
*end elems
   END_BEAMS
*endif
END_RELAX
*endif
*#--------------------------------------------------------------------------
*# INCLINE 
*#--------------------------------------------------------------------------
*if(noblique > 0)
*set Cond Oblique_Support *nodes
*set var Nd2 = npoin(int) + nbeams
*loop nodes *OnlyInCond
*set var Nd2=Nd2+1
*set var Nd3=Nd2+1
*format "%4i%4i%4i"
    INCLIN *NodesNum *Nd2 *Nd3
*set var Nd2=Nd2+1
*end nodes
END_INCLIN
*endif
PRECISION *Gendata(PRECISION) 
*#----------------------------------------------------------------------------
*# Maximum displacement
*#---------------------------------------------------------------------------- 
*if(strcmp(Gendata(Consider_max_displacement),"yes")==0)
  MAX_DISPL *Gendata(MAX_DISPL)
*endif
*#-----------------------------------------------------------------------
*# Loads
*#-----------------------------------------------------------------------
*set elems(All)
     LOADS
*#-----------------------------------------------------------------------
*# Point load
*#-----------------------------------------------------------------------
*Set cond Point-Load *nodes 
*If(nodf1(Int)>0)
   FUNCTION F1
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0) 
*format "  NODELOAD %6i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Force)*cond(X-Moment)*cond(Y-Moment)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(nodfload(Int)>0)
  FUNCTION FLOAD
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*format "  NODELOAD %6i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Force)*cond(X-Moment)*cond(Y-Moment)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(nodf1ps(Int)>0)
  FUNCTION F1PS
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*format "  NODELOAD %6i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Force)*cond(X-Moment)*cond(Y-Moment)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(nodf1000ps(Int)>0)
  FUNCTION F1000PS
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*format "  NODELOAD %6i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Force)*cond(X-Moment)*cond(Y-Moment)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(nnodloaduser(int)>0)
*Set Var nodloaduserdone(int)=0
*Set cond Point-Load *nodes 
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
*If(nodloaduserdone(int)==0)
*Set Var nodloaduserdone(int)=1
   FUNCTION        *cond(Filename1.fct)
*endif
*endif
*End nodes
*endif
*If(nnodloaduser(int)>0)
*Set cond Point-Load *nodes 
*loop nodes *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*Format "  NODELOAD %6i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*NodesNum*cond(X-Force)*cond(Y-Force)*cond(Z-Force)*cond(X-Moment)*cond(Y-Moment)*cond(Z-Moment)
*endif
*end nodes
  END_LOAD
*Set var noLoadsExist=0
*endif  
*#-----------------------------------------------------------------------
*# Uniformly Distributed Beam Load
*#-----------------------------------------------------------------------
*If(bmf1(Int)>0)
  FUNCTION F1
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0) 
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format " DISTRBEAM %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(bmfload(Int)>0)
  FUNCTION FLOAD
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format " DISTRBEAM %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(bmf1ps(Int)>0)
  FUNCTION F1PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format " DISTRBEAM %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(bmf1000ps(Int)>0)
  FUNCTION F1000PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format " DISTRBEAM %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(nbmloaduser(int)>0)
*Set Var bmloaduserdone(int)=0
*Set elems(Linear)
*Set cond Beam-Load *elems
*loop elems *OnlyInCond 
*If(bmloaduserdone(int)==0)
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
FUNCTION        *cond(Filename2.fct)
*Set Var bmloaduserdone = 1
*endif
*endif
*End elems
*endif
*If(nbmloaduser(int)>0)
*Set elems(Linear)
*Set cond Beam-Load *elems
*#  FUNCTION        *cond(Filename2.fct)
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*If(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format " DISTRBEAM %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
  END_LOAD
*Set var noLoadsExist=0
*endif  
*#-----------------------------------------------------------------------
*# Trapezoidal Load Global
*#-----------------------------------------------------------------------
*#Function F1
*If(tglf1(Int)>0)
  FUNCTION F1
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(Z_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.||cond(Z_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(Z_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global) *cond(Z_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function FLOAD
*If(tglfload(Int)>0)
  FUNCTION FLOAD
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(Z_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.||cond(Z_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(Z_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global) *cond(Z_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function F1PS
*If(tglf1ps(Int)>0)
  FUNCTION F1PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(Z_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.||cond(Z_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(Z_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global) *cond(Z_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function F1000PS
*If(tglf1000ps(Int)>0)
  FUNCTION F1000PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(Z_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.||cond(Z_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(Z_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global) *cond(Z_pressure_node2_global)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function User_Defined
*If(ntglloaduser(int)>0)
*Set Var glloaduserdone(int)=0
*Set elems(Linear)
*Set cond TrapLoadGlobal *elems
*loop elems *OnlyInCond 
*If(glloaduserdone(int)==0)
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
FUNCTION        *cond(Filename.fct)
*Set Var glloaduserdone = 1
*endif
*endif
*End elems
*endif
*If(ntglloaduser(int)>0)
*Set elems(Linear)
*Set cond TrapLoadGlobal *elems
*#  FUNCTION        *cond(Filename.fct)
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*if(cond(X_pressure_node1_global,real)!=0.||cond(Y_pressure_node1_global,real)!=0.||cond(Z_pressure_node1_global,real)!=0.||cond(X_pressure_node2_global,real)!=0.||cond(Y_pressure_node2_global,real)!=0.||cond(Z_pressure_node2_global,real)!=0.)
*format " TRAPGLOBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_global) *cond(Y_pressure_node1_global) *cond(Z_pressure_node1_global) *cond(X_pressure_node2_global) *cond(Y_pressure_node2_global) *cond(Z_pressure_node2_global)
*endif
*endif
*end elems
  END_LOAD
*Set var noLoadsExist=0
*endif   
*#-----------------------------------------------------------------------
*# Trapezoidal Load Local
*#-----------------------------------------------------------------------
*#Function F1
*If(tlocf1(Int)>0)
  FUNCTION F1
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(Z_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.||cond(Z_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(Z_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local) *cond(Z_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function FLOAD
*If(tlocfload(Int)>0)
  FUNCTION FLOAD
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(Z_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.||cond(Z_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(Z_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local) *cond(Z_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function F1PS
*If(tlocf1ps(Int)>0)
  FUNCTION F1PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(Z_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.||cond(Z_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(Z_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local) *cond(Z_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function F1000PS
*If(tlocf1000ps(Int)>0)
  FUNCTION F1000PS
*if(nbeams(int)>1)
*set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(Z_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.||cond(Z_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(Z_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local) *cond(Z_pressure_node2_local)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*#Function User_Defined
*If(ntlocloaduser(int)>0)
*Set Var locloaduserdone(int)=0
*Set elems(Linear)
*Set cond TrapLoadLocal *elems
*loop elems *OnlyInCond 
*If(locloaduserdone(int)==0)
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
FUNCTION        *cond(Filename.fct)
*Set Var locloaduserdone = 1
*endif
*endif
*End elems
*endif
*If(ntlocloaduser(int)>0)
*Set elems(Linear)
*Set cond TrapLoadLocal *elems
*#  FUNCTION        *cond(Filename.fct)
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*if(cond(X_pressure_node1_local,real)!=0.||cond(Y_pressure_node1_local,real)!=0.||cond(Z_pressure_node1_local,real)!=0.||cond(X_pressure_node2_local,real)!=0.||cond(Y_pressure_node2_local,real)!=0.||cond(Z_pressure_node2_local,real)!=0.)
*format " TRAPLOCBM %4i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*ElemsNum *cond(X_pressure_node1_local) *cond(Y_pressure_node1_local) *cond(Z_pressure_node1_local) *cond(X_pressure_node2_local) *cond(Y_pressure_node2_local) *cond(Z_pressure_node2_local)
*endif
*endif
*end elems
  END_LOAD
*Set var noLoadsExist=0
*endif  
*#---------------------------------------------------------------
*# HydrostaticLoad
*#---------------------------------------------------------------
*# *Set Var nHydrostatic(int) =0
*Set cond HydrostaticLoad *elems *CanRepeat
*# *Set Var nHydrostatic(int) =  CondNumEntities
*loop elems *OnlyInCond 
*# *Set Var nHydrostatic(int) =  nHydrostatic + 1
 WATERTABLE *cond(File-Name) 
 SPECWEIGHT *cond(Specific_weight)
*format "     HYDROBM  %4i"
*ElemsNum
*End elems
*#-----------------------------------------------------------------------
*# Distributed Shell load
*#-----------------------------------------------------------------------
*If(shf1(Int)>0)
   FUNCTION F1
*if(nshell(int)>0)
*set elems(Quadrilateral)
*Set cond Global_Shell_Load *elems
*loop elems *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1")==0)
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format "   DISTRSH %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(shfload(Int)>0)
     FUNCTION FLOAD
*if(nshell(int)>0)
*set elems(Quadrilateral)
*Set cond Global_Shell_Load *elems
*loop elems *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"FLOAD")==0)
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format "   DISTRSH %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(shf1ps(Int)>0)
  FUNCTION F1PS
*if(nshell(int)>0)
*set elems(Quadrilateral)
*Set cond Global_Shell_Load *elems
*loop elems *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1PS")==0)
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format "   DISTRSH %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(shf1000ps(Int)>0)
  FUNCTION F1000PS
*if(nshell(int)>0)
*set elems(Quadrilateral)
*Set cond Global_Shell_Load *elems
*loop elems *OnlyInCond
*if(strcmp(cond(LOAD_FUNCTION),"F1000PS")==0)
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format "   DISTRSH %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
*endif
  END_LOAD
*Set var noLoadsExist=0
*endif
*If(nshloaduser(int)>0)
*Set Var shloaduserdone(int)=0
*set elems(Quadrilateral)
*Set cond Global_Shell_Load *elems
*loop elems *OnlyInCond 
*If(shloaduserdone(int)==0)
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0)
FUNCTION        *cond(Filename3.fct)
*Set Var shloaduserdone = 1
*endif
*endif
*End elems
*endif
*If(nshloaduser(int)>0)
*set elems(Quadrilateral)
*Set cond Global_Shell_Load *elems
*#  FUNCTION        *cond(Filename3.fct)
*loop elems *OnlyInCond 
*if(strcmp(cond(LOAD_FUNCTION),"User_Defined")==0) 
*if(cond(X_Pressure,real)!=0.||cond(Y_Pressure,real)!=0.||cond(Z_Pressure,real)!=0.)
*format "   DISTRSH %6i%10.2e%10.2e%10.2e"
*ElemsNum*cond(X_Pressure)*cond(Y_Pressure)*cond(Z_Pressure)
*endif
*endif
*end elems
  END_LOAD
*Set var noLoadsExist=0
*endif  
*#---------------------------------------------------------------
*# Close loads if no load exists
*#---------------------------------------------------------------
*if(noLoadsExist==1)
  END_LOAD
*endif
*#-------------------------------------------------------------------------
*# Massen fr DYNAMIC - Calculation 
*#-------------------------------------------------------------------------
*if((strcmp(GenData(Loads),"DYNAMIC_PURE_NR")==0) || (strcmp(GenData(Loads),"DYNAMIC_APPR_NR")==0))
      MASS
*Set cond Mass_on_Node *nodes
*loop nodes *OnlyInCond 
*format "    M_NODE %6i%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e"
*NodesNum *cond(Mass_1) *cond(Mass_2) *cond(Mass_3) *cond(Mass_4) *cond(Mass_5) *cond(Mass_6) *cond(Mass_7)
*end nodes
*set elems(all)
*Set cond Mass_on_Beam *elems
*loop elems *OnlyInCond 
*format "    M_BEAM %6i%10.2e%10.2e"
*ElemsNum *cond(Distributed-Beam-Mass) *cond(Rotational-Inertia)
*end elems
*Set cond Mass_on_Shell *elems
*loop elems *OnlyInCond 
*format "   M_SHELL %6i%10.2e"
*ElemsNum*cond(Distributed-Shell-Mass)
*end elems
  END_MASS
*endif
*#-----------------------------------------------------------------
*# Materials
*#-----------------------------------------------------------------
 MATERIALS
*if(Gendata(Number_of_materials,INT)>0)
*GenData(Material1)
*if(strcmp(Gendata(Material1),"STEELEC3")==0 || strcmp(Gendata(Material1),"STEELEC3DC")==0 || strcmp(Gendata(Material1),"STEELEC2")==0 || strcmp(Gendata(Material1),"PSTEELA16")==0  || strcmp(Gendata(Material1),"STEELEC32D")==0  || strcmp(Gendata(Material1),"STEELEC3PS")==0 || strcmp(Gendata(Material1),"STEEL_WPB")==0 || strcmp(Gendata(Material1),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength)  *Gendata(Mat1_Max_Temperature)   *Gendata(Mat1_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material1),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength)  *Gendata(Mat1_Max_Temperature)   *Gendata(Mat1_Rate_Decrease_Yield_Strength) *GenData(Mat1_Process_Fabrication) *GenData(Mat1_Class_Ductility)
*elseif(strcmp(Gendata(Material1),"SILCONC_EN")==0 || strcmp(Gendata(Material1),"CALCONC_EN")==0 || strcmp(Gendata(Material1),"SILCON_ETC")==0 || strcmp(Gendata(Material1),"CALCON_ETC")==0 || strcmp(Gendata(Material1),"LWCONC_EN")==0 || strcmp(Gendata(Material1),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"CALCONC2D")==0 || strcmp(Gendata(Material1),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength) *Gendata(Mat1_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material1),"SILCON_ETC")==0 || strcmp(Gendata(Material1),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"SILHSC1_EN")==0 || strcmp(Gendata(Material1),"SILHSC2_EN")==0 || strcmp(Gendata(Material1),"SILHSC3_EN")==0 || strcmp(Gendata(Material1),"CALHSC1_EN")==0 || strcmp(Gendata(Material1),"CALHSC2_EN")==0 || strcmp(Gendata(Material1),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"SILHSC1ETC")==0 || strcmp(Gendata(Material1),"SILHSC2ETC")==0 || strcmp(Gendata(Material1),"SILHSC3ETC")==0 || strcmp(Gendata(Material1),"CALHSC1ETC")==0 || strcmp(Gendata(Material1),"CALHSC2ETC")==0 || strcmp(Gendata(Material1),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio)
*elseif(strcmp(Gendata(Material1),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength)
*elseif(strcmp(Gendata(Material1),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength) *Gendata(Mat1_Max_Temperature) *Gendata(Mat1_Rate_Decrease_Yield_Strength) *Gendata(Mat1_Slenderness) *Gendata(Mat1_Number_of_Supports)
*elseif(strcmp(Gendata(Material1),"CALCOETC2D")==0 || strcmp(Gendata(Material1),"SILCOETC2D")==0 || strcmp(Gendata(Material1),"CALCOETC3D")==0 || strcmp(Gendata(Material1),"SILCOETC3D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength) *Gendata(Mat1_Strain_at_Peak_Stress) *Gendata(Mat1_Dilatancy) *Gendata(Mat1_Compressive_Ductility) *Gendata(Mat1_Comp_Damage_Peak_Stress) *Gendata(Mat1_Tension_Ductility)
*elseif(strcmp(Gendata(Material1),"STEELEC23D")==0 || strcmp(Gendata(Material1),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength)  *Gendata(Mat1_Max_Temperature)   *Gendata(Mat1_Rate_Decrease_Yield_Strength)
*else
    
*endif
*endif
*if(Gendata(Number_of_materials,INT)>1)
*GenData(Material2)
*if(strcmp(Gendata(Material2),"STEELEC3")==0 || strcmp(Gendata(Material2),"STEELEC3DC")==0 || strcmp(Gendata(Material2),"STEELEC2")==0 || strcmp(Gendata(Material2),"PSTEELA16")==0  || strcmp(Gendata(Material2),"STEELEC32D")==0  || strcmp(Gendata(Material2),"STEELEC3PS")==0 || strcmp(Gendata(Material2),"STEEL_WPB")==0 || strcmp(Gendata(Material2),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Yield_strength)  *Gendata(Mat2_Max_Temperature)   *Gendata(Mat2_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material2),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Yield_strength)  *Gendata(Mat2_Max_Temperature)   *Gendata(Mat2_Rate_Decrease_Yield_Strength) *GenData(Mat2_Process_Fabrication) *GenData(Mat2_Class_Ductility)
*elseif(strcmp(Gendata(Material2),"SILCONC_EN")==0 || strcmp(Gendata(Material2),"CALCONC_EN")==0  || strcmp(Gendata(Material2),"SILCON_ETC")==0 || strcmp(Gendata(Material2),"CALCON_ETC")==0 || strcmp(Gendata(Material2),"LWCONC_EN")==0 || strcmp(Gendata(Material2),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"CALCONC2D")==0 || strcmp(Gendata(Material2),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength) *Gendata(Mat2_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material2),"SILCON_ETC")==0 || strcmp(Gendata(Material2),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"SILHSC1_EN")==0 || strcmp(Gendata(Material2),"SILHSC2_EN")==0 || strcmp(Gendata(Material2),"SILHSC3_EN")==0 || strcmp(Gendata(Material2),"CALHSC1_EN")==0 || strcmp(Gendata(Material2),"CALHSC2_EN")==0 || strcmp(Gendata(Material2),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"SILHSC1ETC")==0 || strcmp(Gendata(Material2),"SILHSC2ETC")==0 || strcmp(Gendata(Material2),"SILHSC3ETC")==0 || strcmp(Gendata(Material2),"CALHSC1ETC")==0 || strcmp(Gendata(Material2),"CALHSC2ETC")==0 || strcmp(Gendata(Material2),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio)
*elseif(strcmp(Gendata(Material2),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength)
*elseif(strcmp(Gendata(Material2),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Yield_strength) *Gendata(Mat2_Max_Temperature) *Gendata(Mat2_Rate_Decrease_Yield_Strength) *Gendata(Mat2_Slenderness) *Gendata(Mat2_Number_of_Supports)
*elseif(strcmp(Gendata(Material2),"CALCOETC2D")==0 || strcmp(Gendata(Material2),"SILCOETC2D")==0 || strcmp(Gendata(Material2),"CALCOETC3D")==0 || strcmp(Gendata(Material2),"SILCOETC3D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Compressive_strength) *Gendata(Mat2_Tension_strength) *Gendata(Mat2_Strain_at_Peak_Stress) *Gendata(Mat2_Dilatancy) *Gendata(Mat2_Compressive_Ductility) *Gendata(Mat2_Comp_Damage_Peak_Stress) *Gendata(Mat2_Tension_Ductility)
*elseif(strcmp(Gendata(Material2),"STEELEC23D")==0 || strcmp(Gendata(Material2),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat2_E-Modulus) *Gendata(Mat2_Poisson_ratio) *Gendata(Mat2_Yield_strength)  *Gendata(Mat2_Max_Temperature)   *Gendata(Mat2_Rate_Decrease_Yield_Strength)
*Else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>2)
*GenData(Material3)
*if(strcmp(Gendata(Material3),"STEELEC3")==0 || strcmp(Gendata(Material3),"STEELEC3DC")==0 || strcmp(Gendata(Material3),"STEELEC2")==0 || strcmp(Gendata(Material3),"PSTEELA16")==0  || strcmp(Gendata(Material3),"STEELEC32D")==0  || strcmp(Gendata(Material3),"STEELEC3PS")==0 || strcmp(Gendata(Material3),"STEEL_WPB")==0 || strcmp(Gendata(Material3),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Yield_strength)  *Gendata(Mat3_Max_Temperature)   *Gendata(Mat3_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material3),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Yield_strength)  *Gendata(Mat3_Max_Temperature)   *Gendata(Mat3_Rate_Decrease_Yield_Strength) *GenData(Mat3_Process_Fabrication) *GenData(Mat3_Class_Ductility)
*elseif(strcmp(Gendata(Material3),"SILCONC_EN")==0 || strcmp(Gendata(Material3),"CALCONC_EN")==0  || strcmp(Gendata(Material3),"SILCON_ETC")==0 || strcmp(Gendata(Material3),"CALCON_ETC")==0 || strcmp(Gendata(Material3),"LWCONC_EN")==0 || strcmp(Gendata(Material3),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)
*elseif(strcmp(Gendata(Material3),"CALCONC2D")==0 || strcmp(Gendata(Material3),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength) *Gendata(Mat3_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material3),"SILCON_ETC")==0 || strcmp(Gendata(Material3),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)
*elseif(strcmp(Gendata(Material3),"SILHSC1_EN")==0 || strcmp(Gendata(Material3),"SILHSC2_EN")==0 || strcmp(Gendata(Material3),"SILHSC3_EN")==0 || strcmp(Gendata(Material3),"CALHSC1_EN")==0 || strcmp(Gendata(Material3),"CALHSC2_EN")==0 || strcmp(Gendata(Material3),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"                                                                                                                                                                                           
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)                                                                                                             
*elseif(strcmp(Gendata(Material3),"SILHSC1ETC")==0 || strcmp(Gendata(Material3),"SILHSC2ETC")==0 || strcmp(Gendata(Material3),"SILHSC3ETC")==0 || strcmp(Gendata(Material3),"CALHSC1ETC")==0 || strcmp(Gendata(Material3),"CALHSC2ETC")==0 || strcmp(Gendata(Material3),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)
*elseif(strcmp(Gendata(Material3),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio)
*elseif(strcmp(Gendata(Material3),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength)	  
*elseif(strcmp(Gendata(Material3),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Yield_strength) *Gendata(Mat3_Max_Temperature) *Gendata(Mat3_Rate_Decrease_Yield_Strength) *Gendata(Mat3_Slenderness) *Gendata(Mat3_Number_of_Supports)
*elseif(strcmp(Gendata(Material3),"CALCOETC2D")==0 || strcmp(Gendata(Material3),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Compressive_strength) *Gendata(Mat3_Tension_strength) *Gendata(Mat3_Strain_at_Peak_Stress) *Gendata(Mat3_Dilatancy) *Gendata(Mat3_Compressive_Ductility) *Gendata(Mat3_Comp_Damage_Peak_Stress) *Gendata(Mat3_Tension_Ductility)
*elseif(strcmp(Gendata(Material3),"STEELEC23D")==0 || strcmp(Gendata(Material3),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat3_E-Modulus) *Gendata(Mat3_Poisson_ratio) *Gendata(Mat3_Yield_strength)  *Gendata(Mat3_Max_Temperature)   *Gendata(Mat3_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>3)
*GenData(Material4)
*if(strcmp(Gendata(Material4),"STEELEC3")==0 || strcmp(Gendata(Material4),"STEELEC3DC")==0 || strcmp(Gendata(Material4),"STEELEC2")==0 || strcmp(Gendata(Material4),"PSTEELA16")==0  || strcmp(Gendata(Material4),"STEELEC32D")==0  || strcmp(Gendata(Material4),"STEELEC3PS")==0 || strcmp(Gendata(Material4),"STEEL_WPB")==0 || strcmp(Gendata(Material4),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Yield_strength)  *Gendata(Mat4_Max_Temperature)   *Gendata(Mat4_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material4),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Yield_strength)  *Gendata(Mat4_Max_Temperature)   *Gendata(Mat4_Rate_Decrease_Yield_Strength) *GenData(Mat4_Process_Fabrication) *GenData(Mat4_Class_Ductility)
*elseif(strcmp(Gendata(Material4),"SILCONC_EN")==0 || strcmp(Gendata(Material4),"CALCONC_EN")==0   || strcmp(Gendata(Material4),"SILCON_ETC")==0 || strcmp(Gendata(Material4),"CALCON_ETC")==0 || strcmp(Gendata(Material4),"LWCONC_EN")==0 || strcmp(Gendata(Material4),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"CALCONC2D")==0 || strcmp(Gendata(Material4),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength) *Gendata(Mat4_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material4),"SILCON_ETC")==0 || strcmp(Gendata(Material4),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"SILHSC1_EN")==0 || strcmp(Gendata(Material4),"SILHSC2_EN")==0 || strcmp(Gendata(Material4),"SILHSC3_EN")==0 || strcmp(Gendata(Material4),"CALHSC1_EN")==0 || strcmp(Gendata(Material4),"CALHSC2_EN")==0 || strcmp(Gendata(Material4),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"SILHSC1ETC")==0 || strcmp(Gendata(Material4),"SILHSC2ETC")==0 || strcmp(Gendata(Material4),"SILHSC3ETC")==0 || strcmp(Gendata(Material4),"CALHSC1ETC")==0 || strcmp(Gendata(Material4),"CALHSC2ETC")==0 || strcmp(Gendata(Material4),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio)
*elseif(strcmp(Gendata(Material4),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength)
*elseif(strcmp(Gendata(Material4),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Yield_strength) *Gendata(Mat4_Max_Temperature) *Gendata(Mat4_Rate_Decrease_Yield_Strength) *Gendata(Mat4_Slenderness) *Gendata(Mat4_Number_of_Supports)
*elseif(strcmp(Gendata(Material4),"CALCOETC2D")==0 || strcmp(Gendata(Material4),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Compressive_strength) *Gendata(Mat4_Tension_strength) *Gendata(Mat4_Strain_at_Peak_Stress) *Gendata(Mat4_Dilatancy) *Gendata(Mat4_Compressive_Ductility) *Gendata(Mat4_Comp_Damage_Peak_Stress) *Gendata(Mat4_Tension_Ductility)
*elseif(strcmp(Gendata(Material4),"STEELEC23D")==0 || strcmp(Gendata(Material4),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat4_E-Modulus) *Gendata(Mat4_Poisson_ratio) *Gendata(Mat4_Yield_strength)  *Gendata(Mat4_Max_Temperature)   *Gendata(Mat4_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>4)
*GenData(Material5)
*if(strcmp(Gendata(Material5),"STEELEC3")==0 || strcmp(Gendata(Material5),"STEELEC3DC")==0 || strcmp(Gendata(Material5),"STEELEC2")==0 || strcmp(Gendata(Material5),"PSTEELA16")==0  || strcmp(Gendata(Material5),"STEELEC32D")==0  || strcmp(Gendata(Material5),"STEELEC3PS")==0 || strcmp(Gendata(Material5),"STEEL_WPB")==0 || strcmp(Gendata(Material5),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Yield_strength)  *Gendata(Mat5_Max_Temperature)   *Gendata(Mat5_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material5),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Yield_strength)  *Gendata(Mat5_Max_Temperature)   *Gendata(Mat5_Rate_Decrease_Yield_Strength) *GenData(Mat5_Process_Fabrication) *GenData(Mat5_Class_Ductility)
*elseif(strcmp(Gendata(Material5),"SILCONC_EN")==0 || strcmp(Gendata(Material5),"CALCONC_EN")==0  || strcmp(Gendata(Material5),"SILCON_ETC")==0 || strcmp(Gendata(Material5),"CALCON_ETC")==0 || strcmp(Gendata(Material5),"LWCONC_EN")==0 || strcmp(Gendata(Material5),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"CALCONC2D")==0 || strcmp(Gendata(Material5),"SILCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength) *Gendata(Mat5_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material5),"SILCON_ETC")==0 || strcmp(Gendata(Material5),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"SILHSC1_EN")==0 || strcmp(Gendata(Material5),"SILHSC2_EN")==0 || strcmp(Gendata(Material5),"SILHSC3_EN")==0 || strcmp(Gendata(Material5),"CALHSC1_EN")==0 || strcmp(Gendata(Material5),"CALHSC2_EN")==0 || strcmp(Gendata(Material5),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"SILHSC1ETC")==0 || strcmp(Gendata(Material5),"SILHSC2ETC")==0 || strcmp(Gendata(Material5),"SILHSC3ETC")==0 || strcmp(Gendata(Material5),"CALHSC1ETC")==0 || strcmp(Gendata(Material5),"CALHSC2ETC")==0 || strcmp(Gendata(Material5),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio)
*elseif(strcmp(Gendata(Material5),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength)
*elseif(strcmp(Gendata(Material5),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Yield_strength) *Gendata(Mat5_Max_Temperature) *Gendata(Mat5_Rate_Decrease_Yield_Strength) *Gendata(Mat5_Slenderness) *Gendata(Mat5_Number_of_Supports)
*elseif(strcmp(Gendata(Material5),"CALCOETC2D")==0 || strcmp(Gendata(Material5),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Compressive_strength) *Gendata(Mat5_Tension_strength) *Gendata(Mat5_Strain_at_Peak_Stress) *Gendata(Mat5_Dilatancy) *Gendata(Mat5_Compressive_Ductility) *Gendata(Mat5_Comp_Damage_Peak_Stress) *Gendata(Mat5_Tension_Ductility)
*elseif(strcmp(Gendata(Material5),"STEELEC23D")==0 || strcmp(Gendata(Material5),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat5_E-Modulus) *Gendata(Mat5_Poisson_ratio) *Gendata(Mat5_Yield_strength)  *Gendata(Mat5_Max_Temperature)   *Gendata(Mat5_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>5)
*GenData(Material6)
*if(strcmp(Gendata(Material6),"STEELEC3")==0 || strcmp(Gendata(Material6),"STEELEC3DC")==0 || strcmp(Gendata(Material6),"STEELEC2")==0 || strcmp(Gendata(Material6),"PSTEELA16")==0  || strcmp(Gendata(Material6),"STEELEC32D")==0  || strcmp(Gendata(Material6),"STEELEC3PS")==0 || strcmp(Gendata(Material6),"STEEL_WPB")==0 || strcmp(Gendata(Material6),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat6_E-Modulus) *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Yield_strength)  *Gendata(Mat6_Max_Temperature)   *Gendata(Mat6_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material6),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat6_E-Modulus) *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Yield_strength)  *Gendata(Mat6_Max_Temperature)   *Gendata(Mat6_Rate_Decrease_Yield_Strength) *GenData(Mat6_Process_Fabrication) *GenData(Mat6_Class_Ductility)
*elseif(strcmp(Gendata(Material6),"SILCONC_EN")==0 || strcmp(Gendata(Material6),"CALCONC_EN")==0  || strcmp(Gendata(Material6),"SILCON_ETC")==0 || strcmp(Gendata(Material6),"CALCON_ETC")==0 || strcmp(Gendata(Material6),"LWCONC_EN")==0 || strcmp(Gendata(Material6),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Compressive_strength) *Gendata(Mat6_Tension_strength)
*elseif(strcmp(Gendata(Material6),"CALCONC2D")==0 || strcmp(Gendata(Material6),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Compressive_strength) *Gendata(Mat6_Tension_strength) *Gendata(Mat6_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material6),"SILCON_ETC")==0 || strcmp(Gendata(Material6),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Compressive_strength) *Gendata(Mat6_Tension_strength)
*elseif(strcmp(Gendata(Material6),"SILHSC1_EN")==0 || strcmp(Gendata(Material6),"SILHSC2_EN")==0 || strcmp(Gendata(Material6),"SILHSC3_EN")==0 || strcmp(Gendata(Material6),"CALHSC1_EN")==0 || strcmp(Gendata(Material6),"CALHSC2_EN")==0 || strcmp(Gendata(Material6),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Compressive_strength) *Gendata(Mat6_Tension_strength)
*elseif(strcmp(Gendata(Material6),"SILHSC1ETC")==0 || strcmp(Gendata(Material6),"SILHSC2ETC")==0 || strcmp(Gendata(Material6),"SILHSC3ETC")==0 || strcmp(Gendata(Material6),"CALHSC1ETC")==0 || strcmp(Gendata(Material6),"CALHSC2ETC")==0 || strcmp(Gendata(Material6),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Compressive_strength) *Gendata(Mat6_Tension_strength)
*elseif(strcmp(Gendata(Material6),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat6_E-Modulus) *Gendata(Mat6_Poisson_ratio)
*elseif(strcmp(Gendata(Material6),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat6_E-Modulus) *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Compressive_strength) *Gendata(Mat6_Tension_strength)
*elseif(strcmp(Gendata(Material6),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat6_E-Modulus) *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Yield_strength) *Gendata(Mat6_Max_Temperature) *Gendata(Mat6_Rate_Decrease_Yield_Strength) *Gendata(Mat6_Slenderness) *Gendata(Mat6_Number_of_Supports)
*elseif(strcmp(Gendata(Material6),"CALCOETC2D")==0 || strcmp(Gendata(Material6),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Compressive_strength) *Gendata(Mat6_Tension_strength) *Gendata(Mat6_Strain_at_Peak_Stress) *Gendata(Mat6_Dilatancy) *Gendata(Mat6_Compressive_Ductility) *Gendata(Mat6_Comp_Damage_Peak_Stress) *Gendata(Mat6_Tension_Ductility)
*elseif(strcmp(Gendata(Material6),"STEELEC23D")==0 || strcmp(Gendata(Material6),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat6_E-Modulus) *Gendata(Mat6_Poisson_ratio) *Gendata(Mat6_Yield_strength)  *Gendata(Mat6_Max_Temperature)   *Gendata(Mat6_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>6)
*GenData(Material7)
*if(strcmp(Gendata(Material7),"STEELEC3")==0 || strcmp(Gendata(Material7),"STEELEC3DC")==0 || strcmp(Gendata(Material7),"STEELEC2")==0 || strcmp(Gendata(Material7),"PSTEELA16")==0  || strcmp(Gendata(Material7),"STEELEC32D")==0  || strcmp(Gendata(Material7),"STEELEC3PS")==0 || strcmp(Gendata(Material7),"STEEL_WPB")==0 || strcmp(Gendata(Material7),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat7_E-Modulus) *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Yield_strength)  *Gendata(Mat7_Max_Temperature)   *Gendata(Mat7_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material7),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat7_E-Modulus) *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Yield_strength)  *Gendata(Mat7_Max_Temperature)   *Gendata(Mat7_Rate_Decrease_Yield_Strength) *GenData(Mat7_Process_Fabrication) *GenData(Mat7_Class_Ductility)
*elseif(strcmp(Gendata(Material7),"SILCONC_EN")==0 || strcmp(Gendata(Material7),"CALCONC_EN")==0  || strcmp(Gendata(Material7),"SILCON_ETC")==0 || strcmp(Gendata(Material7),"CALCON_ETC")==0 || strcmp(Gendata(Material7),"LWCONC_EN")==0 || strcmp(Gendata(Material7),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Compressive_strength) *Gendata(Mat7_Tension_strength)
*elseif(strcmp(Gendata(Material7),"CALCONC2D")==0 || strcmp(Gendata(Material7),"SILCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Compressive_strength) *Gendata(Mat7_Tension_strength) *Gendata(Mat7_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material7),"SILCON_ETC")==0 || strcmp(Gendata(Material7),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Compressive_strength) *Gendata(Mat7_Tension_strength)
*elseif(strcmp(Gendata(Material7),"SILHSC1_EN")==0 || strcmp(Gendata(Material7),"SILHSC2_EN")==0 || strcmp(Gendata(Material7),"SILHSC3_EN")==0 || strcmp(Gendata(Material7),"CALHSC1_EN")==0 || strcmp(Gendata(Material7),"CALHSC2_EN")==0 || strcmp(Gendata(Material7),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Compressive_strength) *Gendata(Mat7_Tension_strength)
*elseif(strcmp(Gendata(Material7),"SILHSC1ETC")==0 || strcmp(Gendata(Material7),"SILHSC2ETC")==0 || strcmp(Gendata(Material7),"SILHSC3ETC")==0 || strcmp(Gendata(Material7),"CALHSC1ETC")==0 || strcmp(Gendata(Material7),"CALHSC2ETC")==0 || strcmp(Gendata(Material7),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Compressive_strength) *Gendata(Mat7_Tension_strength)
*elseif(strcmp(Gendata(Material7),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat7_E-Modulus) *Gendata(Mat7_Poisson_ratio)
*elseif(strcmp(Gendata(Material7),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat7_E-Modulus) *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Compressive_strength) *Gendata(Mat7_Tension_strength)
*elseif(strcmp(Gendata(Material7),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat7_E-Modulus) *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Yield_strength) *Gendata(Mat7_Max_Temperature) *Gendata(Mat7_Rate_Decrease_Yield_Strength) *Gendata(Mat7_Slenderness) *Gendata(Mat7_Number_of_Supports)
*elseif(strcmp(Gendata(Material7),"CALCOETC2D")==0 || strcmp(Gendata(Material7),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Compressive_strength) *Gendata(Mat7_Tension_strength) *Gendata(Mat7_Strain_at_Peak_Stress) *Gendata(Mat7_Dilatancy) *Gendata(Mat7_Compressive_Ductility) *Gendata(Mat7_Comp_Damage_Peak_Stress) *Gendata(Mat7_Tension_Ductility)
*elseif(strcmp(Gendata(Material7),"STEELEC23D")==0 || strcmp(Gendata(Material7),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat7_E-Modulus) *Gendata(Mat7_Poisson_ratio) *Gendata(Mat7_Yield_strength)  *Gendata(Mat7_Max_Temperature)   *Gendata(Mat7_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>7)
*GenData(Material8)
*if(strcmp(Gendata(Material8),"STEELEC3")==0 || strcmp(Gendata(Material8),"STEELEC3DC")==0 || strcmp(Gendata(Material8),"STEELEC2")==0 || strcmp(Gendata(Material8),"PSTEELA16")==0  || strcmp(Gendata(Material8),"STEELEC32D")==0  || strcmp(Gendata(Material8),"STEELEC3PS")==0 || strcmp(Gendata(Material8),"STEEL_WPB")==0 || strcmp(Gendata(Material8),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat8_E-Modulus) *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Yield_strength)  *Gendata(Mat8_Max_Temperature)   *Gendata(Mat8_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material8),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat8_E-Modulus) *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Yield_strength)  *Gendata(Mat8_Max_Temperature)   *Gendata(Mat8_Rate_Decrease_Yield_Strength) *GenData(Mat8_Process_Fabrication) *GenData(Mat8_Class_Ductility)
*elseif(strcmp(Gendata(Material8),"SILCONC_EN")==0 || strcmp(Gendata(Material8),"CALCONC_EN")==0   || strcmp(Gendata(Material8),"SILCON_ETC")==0 || strcmp(Gendata(Material8),"CALCON_ETC")==0 || strcmp(Gendata(Material8),"LWCONC_EN")==0 || strcmp(Gendata(Material8),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Compressive_strength) *Gendata(Mat8_Tension_strength)
*elseif(strcmp(Gendata(Material8),"CALCONC2D")==0 || strcmp(Gendata(Material8),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Compressive_strength) *Gendata(Mat8_Tension_strength) *Gendata(Mat8_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material8),"SILCON_ETC")==0 || strcmp(Gendata(Material8),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Compressive_strength) *Gendata(Mat8_Tension_strength)
*elseif(strcmp(Gendata(Material8),"SILHSC1_EN")==0 || strcmp(Gendata(Material8),"SILHSC2_EN")==0 || strcmp(Gendata(Material8),"SILHSC3_EN")==0 || strcmp(Gendata(Material8),"CALHSC1_EN")==0 || strcmp(Gendata(Material8),"CALHSC2_EN")==0 || strcmp(Gendata(Material8),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Compressive_strength) *Gendata(Mat8_Tension_strength)
*elseif(strcmp(Gendata(Material8),"SILHSC1ETC")==0 || strcmp(Gendata(Material8),"SILHSC2ETC")==0 || strcmp(Gendata(Material8),"SILHSC3ETC")==0 || strcmp(Gendata(Material8),"CALHSC1ETC")==0 || strcmp(Gendata(Material8),"CALHSC2ETC")==0 || strcmp(Gendata(Material8),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Compressive_strength) *Gendata(Mat8_Tension_strength)
*elseif(strcmp(Gendata(Material8),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat8_E-Modulus) *Gendata(Mat8_Poisson_ratio)
*elseif(strcmp(Gendata(Material8),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat8_E-Modulus) *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Compressive_strength) *Gendata(Mat8_Tension_strength)
*elseif(strcmp(Gendata(Material8),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat8_E-Modulus) *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Yield_strength) *Gendata(Mat8_Max_Temperature) *Gendata(Mat8_Rate_Decrease_Yield_Strength) *Gendata(Mat8_Slenderness) *Gendata(Mat8_Number_of_Supports)
*elseif(strcmp(Gendata(Material8),"CALCOETC2D")==0 || strcmp(Gendata(Material8),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Compressive_strength) *Gendata(Mat8_Tension_strength) *Gendata(Mat8_Strain_at_Peak_Stress) *Gendata(Mat8_Dilatancy) *Gendata(Mat8_Compressive_Ductility) *Gendata(Mat8_Comp_Damage_Peak_Stress) *Gendata(Mat8_Tension_Ductility)
*elseif(strcmp(Gendata(Material8),"STEELEC23D")==0 || strcmp(Gendata(Material8),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat8_E-Modulus) *Gendata(Mat8_Poisson_ratio) *Gendata(Mat8_Yield_strength)  *Gendata(Mat8_Max_Temperature)   *Gendata(Mat8_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>8)
*GenData(Material9)
*if(strcmp(Gendata(Material9),"STEELEC3")==0 || strcmp(Gendata(Material9),"STEELEC3DC")==0 || strcmp(Gendata(Material9),"STEELEC2")==0 || strcmp(Gendata(Material9),"PSTEELA16")==0  || strcmp(Gendata(Material9),"STEELEC32D")==0  || strcmp(Gendata(Material9),"STEELEC3PS")==0 || strcmp(Gendata(Material9),"STEEL_WPB")==0 || strcmp(Gendata(Material9),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat9_E-Modulus) *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Yield_strength)  *Gendata(Mat9_Max_Temperature)   *Gendata(Mat9_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material9),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat9_E-Modulus) *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Yield_strength)  *Gendata(Mat9_Max_Temperature)   *Gendata(Mat9_Rate_Decrease_Yield_Strength) *GenData(Mat9_Process_Fabrication) *GenData(Mat9_Class_Ductility)
*elseif(strcmp(Gendata(Material9),"SILCONC_EN")==0 || strcmp(Gendata(Material9),"CALCONC_EN")==0  || strcmp(Gendata(Material9),"SILCON_ETC")==0 || strcmp(Gendata(Material9),"CALCON_ETC")==0 || strcmp(Gendata(Material9),"LWCONC_EN")==0 || strcmp(Gendata(Material9),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Compressive_strength) *Gendata(Mat9_Tension_strength)
*elseif(strcmp(Gendata(Material9),"CALCONC2D")==0 || strcmp(Gendata(Material9),"SILCONC2D")==0  )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Compressive_strength) *Gendata(Mat9_Tension_strength) *Gendata(Mat9_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material9),"SILCON_ETC")==0 || strcmp(Gendata(Material9),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Compressive_strength) *Gendata(Mat9_Tension_strength)
*elseif(strcmp(Gendata(Material9),"SILHSC1_EN")==0 || strcmp(Gendata(Material9),"SILHSC2_EN")==0 || strcmp(Gendata(Material9),"SILHSC3_EN")==0 || strcmp(Gendata(Material9),"CALHSC1_EN")==0 || strcmp(Gendata(Material9),"CALHSC2_EN")==0 || strcmp(Gendata(Material9),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Compressive_strength) *Gendata(Mat9_Tension_strength)
*elseif(strcmp(Gendata(Material9),"SILHSC1ETC")==0 || strcmp(Gendata(Material9),"SILHSC2ETC")==0 || strcmp(Gendata(Material9),"SILHSC3ETC")==0 || strcmp(Gendata(Material9),"CALHSC1ETC")==0 || strcmp(Gendata(Material9),"CALHSC2ETC")==0 || strcmp(Gendata(Material9),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Compressive_strength) *Gendata(Mat9_Tension_strength)
*elseif(strcmp(Gendata(Material9),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat9_E-Modulus) *Gendata(Mat9_Poisson_ratio)
*elseif(strcmp(Gendata(Material9),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat9_E-Modulus) *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Compressive_strength) *Gendata(Mat9_Tension_strength)
*elseif(strcmp(Gendata(Material9),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat9_E-Modulus) *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Yield_strength) *Gendata(Mat9_Max_Temperature) *Gendata(Mat9_Rate_Decrease_Yield_Strength) *Gendata(Mat9_Slenderness) *Gendata(Mat9_Number_of_Supports)
*elseif(strcmp(Gendata(Material9),"CALCOETC2D")==0 || strcmp(Gendata(Material9),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Compressive_strength) *Gendata(Mat9_Tension_strength) *Gendata(Mat9_Strain_at_Peak_Stress) *Gendata(Mat9_Dilatancy) *Gendata(Mat9_Compressive_Ductility) *Gendata(Mat9_Comp_Damage_Peak_Stress) *Gendata(Mat9_Tension_Ductility)
*elseif(strcmp(Gendata(Material9),"STEELEC23D")==0 || strcmp(Gendata(Material9),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat9_E-Modulus) *Gendata(Mat9_Poisson_ratio) *Gendata(Mat9_Yield_strength)  *Gendata(Mat9_Max_Temperature)   *Gendata(Mat9_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>9)
*GenData(Material10)
*if(strcmp(Gendata(Material10),"STEELEC3")==0 || strcmp(Gendata(Material10),"STEELEC3DC")==0 || strcmp(Gendata(Material10),"STEELEC2")==0 || strcmp(Gendata(Material10),"PSTEELA16")==0  || strcmp(Gendata(Material10),"STEELEC32D")==0  || strcmp(Gendata(Material10),"STEELEC3PS")==0 || strcmp(Gendata(Material10),"STEEL_WPB")==0 || strcmp(Gendata(Material10),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat10_E-Modulus) *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Yield_strength)  *Gendata(Mat10_Max_Temperature)   *Gendata(Mat10_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material10),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat10_E-Modulus) *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Yield_strength)  *Gendata(Mat10_Max_Temperature)   *Gendata(Mat10_Rate_Decrease_Yield_Strength) *GenData(Mat10_Process_Fabrication) *GenData(Mat10_Class_Ductility)
*elseif(strcmp(Gendata(Material10),"SILCONC_EN")==0 || strcmp(Gendata(Material10),"CALCONC_EN")==0  || strcmp(Gendata(Material10),"SILCON_ETC")==0 || strcmp(Gendata(Material10),"CALCON_ETC")==0 || strcmp(Gendata(Material10),"LWCONC_EN")==0 || strcmp(Gendata(Material10),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Compressive_strength) *Gendata(Mat10_Tension_strength)
*elseif(strcmp(Gendata(Material10),"CALCONC2D")==0  || strcmp(Gendata(Material10),"SILCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Compressive_strength) *Gendata(Mat10_Tension_strength) *Gendata(Mat10_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material10),"SILCON_ETC")==0 || strcmp(Gendata(Material10),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Compressive_strength) *Gendata(Mat10_Tension_strength)
*elseif(strcmp(Gendata(Material10),"SILHSC1_EN")==0 || strcmp(Gendata(Material10),"SILHSC2_EN")==0 || strcmp(Gendata(Material10),"SILHSC3_EN")==0 || strcmp(Gendata(Material10),"CALHSC1_EN")==0 || strcmp(Gendata(Material10),"CALHSC2_EN")==0 || strcmp(Gendata(Material10),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Compressive_strength) *Gendata(Mat10_Tension_strength)
*elseif(strcmp(Gendata(Material10),"SILHSC1ETC")==0 || strcmp(Gendata(Material10),"SILHSC2ETC")==0 || strcmp(Gendata(Material10),"SILHSC3ETC")==0 || strcmp(Gendata(Material10),"CALHSC1ETC")==0 || strcmp(Gendata(Material10),"CALHSC2ETC")==0 || strcmp(Gendata(Material10),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Compressive_strength) *Gendata(Mat10_Tension_strength)
*elseif(strcmp(Gendata(Material10),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat10_E-Modulus) *Gendata(Mat10_Poisson_ratio)
*elseif(strcmp(Gendata(Material10),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat10_E-Modulus) *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Compressive_strength) *Gendata(Mat10_Tension_strength)
*elseif(strcmp(Gendata(Material10),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat10_E-Modulus) *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Yield_strength) *Gendata(Mat10_Max_Temperature) *Gendata(Mat10_Rate_Decrease_Yield_Strength) *Gendata(Mat10_Slenderness) *Gendata(Mat10_Number_of_Supports)
*elseif(strcmp(Gendata(Material10),"CALCOETC2D")==0 || strcmp(Gendata(Material10),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Compressive_strength) *Gendata(Mat10_Tension_strength) *Gendata(Mat10_Strain_at_Peak_Stress) *Gendata(Mat10_Dilatancy) *Gendata(Mat10_Compressive_Ductility) *Gendata(Mat10_Comp_Damage_Peak_Stress) *Gendata(Mat10_Tension_Ductility)
*elseif(strcmp(Gendata(Material10),"STEELEC23D")==0 || strcmp(Gendata(Material10),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat10_E-Modulus) *Gendata(Mat10_Poisson_ratio) *Gendata(Mat10_Yield_strength)  *Gendata(Mat10_Max_Temperature)   *Gendata(Mat10_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>10)
*GenData(Material11)
*if(strcmp(Gendata(Material11),"STEELEC3")==0 || strcmp(Gendata(Material11),"STEELEC3DC")==0 || strcmp(Gendata(Material11),"STEELEC2")==0 || strcmp(Gendata(Material11),"PSTEELA16")==0  || strcmp(Gendata(Material11),"STEELEC32D")==0  || strcmp(Gendata(Material11),"STEELEC3PS")==0 || strcmp(Gendata(Material11),"STEEL_WPB")==0 || strcmp(Gendata(Material11),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat11_E-Modulus) *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Yield_strength)  *Gendata(Mat11_Max_Temperature)   *Gendata(Mat11_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material11),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat11_E-Modulus) *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Yield_strength)  *Gendata(Mat11_Max_Temperature)   *Gendata(Mat11_Rate_Decrease_Yield_Strength) *GenData(Mat11_Process_Fabrication) *GenData(Mat11_Class_Ductility)
*elseif(strcmp(Gendata(Material11),"SILCONC_EN")==0 || strcmp(Gendata(Material11),"CALCONC_EN")==0  || strcmp(Gendata(Material11),"SILCON_ETC")==0 || strcmp(Gendata(Material11),"CALCON_ETC")==0 || strcmp(Gendata(Material11),"LWCONC_EN")==0 || strcmp(Gendata(Material11),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Compressive_strength) *Gendata(Mat11_Tension_strength)
*elseif(strcmp(Gendata(Material11),"CALCONC2D")==0 || strcmp(Gendata(Material11),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Compressive_strength) *Gendata(Mat11_Tension_strength) *Gendata(Mat11_Peak_Stress_Strain_Coe(Mat1_Poisson_ratio) *Gendata(Mat1_Compressive_strength) *Gendata(Mat1_Tension_strength) *Gendata(Mat1_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material11),"SILCON_ETC")==0 || strcmp(Gendata(Material11),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Compressive_strength) *Gendata(Mat11_Tension_strength)
*elseif(strcmp(Gendata(Material11),"SILHSC1_EN")==0 || strcmp(Gendata(Material11),"SILHSC2_EN")==0 || strcmp(Gendata(Material11),"SILHSC3_EN")==0 || strcmp(Gendata(Material11),"CALHSC1_EN")==0 || strcmp(Gendata(Material11),"CALHSC2_EN")==0 || strcmp(Gendata(Material11),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Compressive_strength) *Gendata(Mat11_Tension_strength)
*elseif(strcmp(Gendata(Material11),"SILHSC1ETC")==0 || strcmp(Gendata(Material11),"SILHSC2ETC")==0 || strcmp(Gendata(Material11),"SILHSC3ETC")==0 || strcmp(Gendata(Material11),"CALHSC1ETC")==0 || strcmp(Gendata(Material11),"CALHSC2ETC")==0 || strcmp(Gendata(Material11),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Compressive_strength) *Gendata(Mat11_Tension_strength)
*elseif(strcmp(Gendata(Material11),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat11_E-Modulus) *Gendata(Mat11_Poisson_ratio)
*elseif(strcmp(Gendata(Material11),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat11_E-Modulus) *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Compressive_strength) *Gendata(Mat11_Tension_strength)
*elseif(strcmp(Gendata(Material11),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat11_E-Modulus) *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Yield_strength) *Gendata(Mat11_Max_Temperature) *Gendata(Mat11_Rate_Decrease_Yield_Strength) *Gendata(Mat11_Slenderness) *Gendata(Mat11_Number_of_Supports)
*elseif(strcmp(Gendata(Material11),"CALCOETC2D")==0 || strcmp(Gendata(Material11),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Compressive_strength) *Gendata(Mat11_Tension_strength) *Gendata(Mat11_Strain_at_Peak_Stress) *Gendata(Mat11_Dilatancy) *Gendata(Mat11_Compressive_Ductility) *Gendata(Mat11_Comp_Damage_Peak_Stress) *Gendata(Mat11_Tension_Ductility)
*elseif(strcmp(Gendata(Material11),"STEELEC23D")==0 || strcmp(Gendata(Material11),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat11_E-Modulus) *Gendata(Mat11_Poisson_ratio) *Gendata(Mat11_Yield_strength)  *Gendata(Mat11_Max_Temperature)   *Gendata(Mat11_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>11)
*GenData(Material12)
*if(strcmp(Gendata(Material12),"STEELEC3")==0 || strcmp(Gendata(Material12),"STEELEC3DC")==0 || strcmp(Gendata(Material12),"STEELEC2")==0 || strcmp(Gendata(Material12),"PSTEELA16")==0  || strcmp(Gendata(Material12),"STEELEC32D")==0  || strcmp(Gendata(Material12),"STEELEC3PS")==0 || strcmp(Gendata(Material12),"STEEL_WPB")==0 || strcmp(Gendata(Material12),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat12_E-Modulus) *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Yield_strength)  *Gendata(Mat12_Max_Temperature)   *Gendata(Mat12_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material12),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat12_E-Modulus) *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Yield_strength)  *Gendata(Mat12_Max_Temperature)   *Gendata(Mat12_Rate_Decrease_Yield_Strength) *GenData(Mat12_Process_Fabrication) *GenData(Mat12_Class_Ductility)
*elseif(strcmp(Gendata(Material12),"SILCONC_EN")==0 || strcmp(Gendata(Material12),"CALCONC_EN")==0  || strcmp(Gendata(Material12),"SILCON_ETC")==0 || strcmp(Gendata(Material12),"CALCON_ETC")==0 || strcmp(Gendata(Material12),"LWCONC_EN")==0 || strcmp(Gendata(Material12),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Compressive_strength) *Gendata(Mat12_Tension_strength)
*elseif(strcmp(Gendata(Material12),"CALCONC2D")==0 || strcmp(Gendata(Material12),"SILCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Compressive_strength) *Gendata(Mat12_Tension_strength) *Gendata(Mat12_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material12),"SILCON_ETC")==0 || strcmp(Gendata(Material12),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Compressive_strength) *Gendata(Mat12_Tension_strength)
*elseif(strcmp(Gendata(Material12),"SILHSC1_EN")==0 || strcmp(Gendata(Material12),"SILHSC2_EN")==0 || strcmp(Gendata(Material12),"SILHSC3_EN")==0 || strcmp(Gendata(Material12),"CALHSC1_EN")==0 || strcmp(Gendata(Material12),"CALHSC2_EN")==0 || strcmp(Gendata(Material12),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Compressive_strength) *Gendata(Mat12_Tension_strength)
*elseif(strcmp(Gendata(Material12),"SILHSC1ETC")==0 || strcmp(Gendata(Material12),"SILHSC2ETC")==0 || strcmp(Gendata(Material12),"SILHSC3ETC")==0 || strcmp(Gendata(Material12),"CALHSC1ETC")==0 || strcmp(Gendata(Material12),"CALHSC2ETC")==0 || strcmp(Gendata(Material12),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Compressive_strength) *Gendata(Mat12_Tension_strength)
*elseif(strcmp(Gendata(Material12),"ELASTIC")==0 )
           *Gendata(Mat12_E-Modulus) *Gendata(Mat12_Poisson_ratio)
*format "%10.2e%10.2e"
*elseif(strcmp(Gendata(Material12),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat12_E-Modulus) *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Compressive_strength) *Gendata(Mat12_Tension_strength)
*elseif(strcmp(Gendata(Material12),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat12_E-Modulus) *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Yield_strength) *Gendata(Mat12_Max_Temperature) *Gendata(Mat12_Rate_Decrease_Yield_Strength) *Gendata(Mat12_Slenderness) *Gendata(Mat12_Number_of_Supports)
*elseif(strcmp(Gendata(Material12),"CALCOETC2D")==0 || strcmp(Gendata(Material12),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Compressive_strength) *Gendata(Mat12_Tension_strength) *Gendata(Mat12_Strain_at_Peak_Stress) *Gendata(Mat12_Dilatancy) *Gendata(Mat12_Compressive_Ductility) *Gendata(Mat12_Comp_Damage_Peak_Stress) *Gendata(Mat12_Tension_Ductility)
*elseif(strcmp(Gendata(Material12),"STEELEC23D")==0 || strcmp(Gendata(Material12),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat12_E-Modulus) *Gendata(Mat12_Poisson_ratio) *Gendata(Mat12_Yield_strength)  *Gendata(Mat12_Max_Temperature)   *Gendata(Mat12_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>12)
*GenData(Material13)
*if(strcmp(Gendata(Material13),"STEELEC3")==0 || strcmp(Gendata(Material13),"STEELEC3DC")==0 || strcmp(Gendata(Material13),"STEELEC2")==0 || strcmp(Gendata(Material13),"PSTEELA16")==0  || strcmp(Gendata(Material13),"STEELEC32D")==0  || strcmp(Gendata(Material13),"STEELEC3PS")==0 || strcmp(Gendata(Material13),"STEEL_WPB")==0 || strcmp(Gendata(Material13),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat13_E-Modulus) *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Yield_strength)  *Gendata(Mat13_Max_Temperature)   *Gendata(Mat13_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material13),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat13_E-Modulus) *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Yield_strength)  *Gendata(Mat13_Max_Temperature)   *Gendata(Mat13_Rate_Decrease_Yield_Strength) *GenData(Mat13_Process_Fabrication) *GenData(Mat13_Class_Ductility)
*elseif(strcmp(Gendata(Material13),"SILCONC_EN")==0 || strcmp(Gendata(Material13),"CALCONC_EN")==0  || strcmp(Gendata(Material13),"SILCON_ETC")==0 || strcmp(Gendata(Material13),"CALCON_ETC")==0 || strcmp(Gendata(Material13),"LWCONC_EN")==0 || strcmp(Gendata(Material13),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Compressive_strength) *Gendata(Mat13_Tension_strength)
*elseif(strcmp(Gendata(Material13),"CALCONC2D")==0 || strcmp(Gendata(Material13),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Compressive_strength) *Gendata(Mat13_Tension_strength) *Gendata(Mat13_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material13),"SILCON_ETC")==0 || strcmp(Gendata(Material13),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Compressive_strength) *Gendata(Mat13_Tension_strength)
*elseif(strcmp(Gendata(Material13),"SILHSC1_EN")==0 || strcmp(Gendata(Material13),"SILHSC2_EN")==0 || strcmp(Gendata(Material13),"SILHSC3_EN")==0 || strcmp(Gendata(Material13),"CALHSC1_EN")==0 || strcmp(Gendata(Material13),"CALHSC2_EN")==0 || strcmp(Gendata(Material13),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Compressive_strength) *Gendata(Mat13_Tension_strength)
*elseif(strcmp(Gendata(Material13),"SILHSC1ETC")==0 || strcmp(Gendata(Material13),"SILHSC2ETC")==0 || strcmp(Gendata(Material13),"SILHSC3ETC")==0 || strcmp(Gendata(Material13),"CALHSC1ETC")==0 || strcmp(Gendata(Material13),"CALHSC2ETC")==0 || strcmp(Gendata(Material13),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Compressive_strength) *Gendata(Mat13_Tension_strength)
*elseif(strcmp(Gendata(Material13),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat13_E-Modulus) *Gendata(Mat13_Poisson_ratio)
*elseif(strcmp(Gendata(Material13),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat13_E-Modulus) *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Compressive_strength) *Gendata(Mat13_Tension_strength)
*elseif(strcmp(Gendata(Material13),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat13_E-Modulus) *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Yield_strength) *Gendata(Mat13_Max_Temperature) *Gendata(Mat13_Rate_Decrease_Yield_Strength) *Gendata(Mat13_Slenderness) *Gendata(Mat13_Number_of_Supports)
*elseif(strcmp(Gendata(Material13),"CALCOETC2D")==0 || strcmp(Gendata(Material13),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Compressive_strength) *Gendata(Mat13_Tension_strength) *Gendata(Mat13_Strain_at_Peak_Stress) *Gendata(Mat13_Dilatancy) *Gendata(Mat13_Compressive_Ductility) *Gendata(Mat13_Comp_Damage_Peak_Stress) *Gendata(Mat13_Tension_Ductility)
*elseif(strcmp(Gendata(Material13),"STEELEC23D")==0 || strcmp(Gendata(Material13),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat13_E-Modulus) *Gendata(Mat13_Poisson_ratio) *Gendata(Mat13_Yield_strength)  *Gendata(Mat13_Max_Temperature)   *Gendata(Mat13_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>13)
*GenData(Material14)
*if(strcmp(Gendata(Material14),"STEELEC3")==0 || strcmp(Gendata(Material14),"STEELEC3DC")==0 || strcmp(Gendata(Material14),"STEELEC2")==0 || strcmp(Gendata(Material14),"PSTEELA16")==0  || strcmp(Gendata(Material14),"STEELEC32D")==0  || strcmp(Gendata(Material14),"STEELEC3PS")==0 || strcmp(Gendata(Material14),"STEEL_WPB")==0 || strcmp(Gendata(Material14),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat14_E-Modulus) *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Yield_strength)  *Gendata(Mat14_Max_Temperature)   *Gendata(Mat14_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material14),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat14_E-Modulus) *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Yield_strength)  *Gendata(Mat14_Max_Temperature)   *Gendata(Mat14_Rate_Decrease_Yield_Strength) *GenData(Mat14_Process_Fabrication) *GenData(Mat14_Class_Ductility)
*elseif(strcmp(Gendata(Material14),"SILCONC_EN")==0 || strcmp(Gendata(Material14),"CALCONC_EN")==0 || strcmp(Gendata(Material14),"SILCON_ETC")==0 || strcmp(Gendata(Material14),"CALCON_ETC")==0 || strcmp(Gendata(Material14),"LWCONC_EN")==0 || strcmp(Gendata(Material14),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Compressive_strength) *Gendata(Mat14_Tension_strength)
*elseif(strcmp(Gendata(Material14),"CALCONC2D")==0  || strcmp(Gendata(Material14),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Compressive_strength) *Gendata(Mat14_Tension_strength) *Gendata(Mat14_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material14),"SILCON_ETC")==0 || strcmp(Gendata(Material14),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Compressive_strength) *Gendata(Mat14_Tension_strength)
*elseif(strcmp(Gendata(Material14),"SILHSC1_EN")==0 || strcmp(Gendata(Material14),"SILHSC2_EN")==0 || strcmp(Gendata(Material14),"SILHSC3_EN")==0 || strcmp(Gendata(Material14),"CALHSC1_EN")==0 || strcmp(Gendata(Material14),"CALHSC2_EN")==0 || strcmp(Gendata(Material14),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Compressive_strength) *Gendata(Mat14_Tension_strength)
*elseif(strcmp(Gendata(Material14),"SILHSC1ETC")==0 || strcmp(Gendata(Material14),"SILHSC2ETC")==0 || strcmp(Gendata(Material14),"SILHSC3ETC")==0 || strcmp(Gendata(Material14),"CALHSC1ETC")==0 || strcmp(Gendata(Material14),"CALHSC2ETC")==0 || strcmp(Gendata(Material14),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Compressive_strength) *Gendata(Mat14_Tension_strength)
*elseif(strcmp(Gendata(Material14),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat14_E-Modulus) *Gendata(Mat14_Poisson_ratio)
*elseif(strcmp(Gendata(Material14),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat14_E-Modulus) *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Compressive_strength) *Gendata(Mat14_Tension_strength)
*elseif(strcmp(Gendata(Material14),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat14_E-Modulus) *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Yield_strength) *Gendata(Mat14_Max_Temperature) *Gendata(Mat14_Rate_Decrease_Yield_Strength) *Gendata(Mat14_Slenderness) *Gendata(Mat14_Number_of_Supports)
*elseif(strcmp(Gendata(Material14),"CALCOETC2D")==0 || strcmp(Gendata(Material14),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Compressive_strength) *Gendata(Mat14_Tension_strength) *Gendata(Mat14_Strain_at_Peak_Stress) *Gendata(Mat14_Dilatancy) *Gendata(Mat14_Compressive_Ductility) *Gendata(Mat14_Comp_Damage_Peak_Stress) *Gendata(Mat14_Tension_Ductility)
*elseif(strcmp(Gendata(Material14),"STEELEC23D")==0 || strcmp(Gendata(Material14),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat14_E-Modulus) *Gendata(Mat14_Poisson_ratio) *Gendata(Mat14_Yield_strength)  *Gendata(Mat14_Max_Temperature)   *Gendata(Mat14_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>14)
*GenData(Material15)
*if(strcmp(Gendata(Material15),"STEELEC3")==0 || strcmp(Gendata(Material15),"STEELEC3DC")==0 || strcmp(Gendata(Material15),"STEELEC2")==0 || strcmp(Gendata(Material15),"PSTEELA16")==0  || strcmp(Gendata(Material15),"STEELEC32D")==0  || strcmp(Gendata(Material15),"STEELEC3PS")==0 || strcmp(Gendata(Material15),"STEEL_WPB")==0 || strcmp(Gendata(Material15),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat15_E-Modulus) *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Yield_strength)  *Gendata(Mat15_Max_Temperature)   *Gendata(Mat15_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material15),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat15_E-Modulus) *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Yield_strength)  *Gendata(Mat15_Max_Temperature)   *Gendata(Mat15_Rate_Decrease_Yield_Strength) *GenData(Mat15_Process_Fabrication) *GenData(Mat15_Class_Ductility)
*elseif(strcmp(Gendata(Material15),"SILCONC_EN")==0 || strcmp(Gendata(Material15),"CALCONC_EN")==0 || strcmp(Gendata(Material15),"SILCON_ETC")==0 || strcmp(Gendata(Material15),"CALCON_ETC")==0 || strcmp(Gendata(Material15),"LWCONC_EN")==0 || strcmp(Gendata(Material15),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Compressive_strength) *Gendata(Mat15_Tension_strength)
*elseif(strcmp(Gendata(Material15),"CALCONC2D")==0  || strcmp(Gendata(Material15),"SILCONC2D")==0  )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Compressive_strength) *Gendata(Mat15_Tension_strength) *Gendata(Mat15_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material15),"SILCON_ETC")==0 || strcmp(Gendata(Material15),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Compressive_strength) *Gendata(Mat15_Tension_strength)
*elseif(strcmp(Gendata(Material15),"SILHSC1_EN")==0 || strcmp(Gendata(Material15),"SILHSC2_EN")==0 || strcmp(Gendata(Material15),"SILHSC3_EN")==0 || strcmp(Gendata(Material15),"CALHSC1_EN")==0 || strcmp(Gendata(Material15),"CALHSC2_EN")==0 || strcmp(Gendata(Material15),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Compressive_strength) *Gendata(Mat15_Tension_strength)
*elseif(strcmp(Gendata(Material15),"SILHSC1ETC")==0 || strcmp(Gendata(Material15),"SILHSC2ETC")==0 || strcmp(Gendata(Material15),"SILHSC3ETC")==0 || strcmp(Gendata(Material15),"CALHSC1ETC")==0 || strcmp(Gendata(Material15),"CALHSC2ETC")==0 || strcmp(Gendata(Material15),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Compressive_strength) *Gendata(Mat15_Tension_strength)
*elseif(strcmp(Gendata(Material15),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat15_E-Modulus) *Gendata(Mat15_Poisson_ratio)
*elseif(strcmp(Gendata(Material15),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat15_E-Modulus) *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Compressive_strength) *Gendata(Mat15_Tension_strength)
*elseif(strcmp(Gendata(Material15),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat15_E-Modulus) *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Yield_strength) *Gendata(Mat15_Max_Temperature) *Gendata(Mat15_Rate_Decrease_Yield_Strength) *Gendata(Mat15_Slenderness) *Gendata(Mat15_Number_of_Supports)
*elseif(strcmp(Gendata(Material15),"CALCOETC2D")==0 || strcmp(Gendata(Material15),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Compressive_strength) *Gendata(Mat15_Tension_strength) *Gendata(Mat15_Strain_at_Peak_Stress) *Gendata(Mat15_Dilatancy) *Gendata(Mat15_Compressive_Ductility) *Gendata(Mat15_Comp_Damage_Peak_Stress) *Gendata(Mat15_Tension_Ductility)
*elseif(strcmp(Gendata(Material15),"STEELEC23D")==0 || strcmp(Gendata(Material15),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat15_E-Modulus) *Gendata(Mat15_Poisson_ratio) *Gendata(Mat15_Yield_strength)  *Gendata(Mat15_Max_Temperature)   *Gendata(Mat15_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>15)
*GenData(Material16)
*if(strcmp(Gendata(Material16),"STEELEC3")==0 || strcmp(Gendata(Material16),"STEELEC3DC")==0 || strcmp(Gendata(Material16),"STEELEC2")==0 || strcmp(Gendata(Material16),"PSTEELA16")==0  || strcmp(Gendata(Material16),"STEELEC32D")==0  || strcmp(Gendata(Material16),"STEELEC3PS")==0 || strcmp(Gendata(Material16),"STEEL_WPB")==0 || strcmp(Gendata(Material16),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat16_E-Modulus) *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Yield_strength)  *Gendata(Mat16_Max_Temperature)   *Gendata(Mat16_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material16),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat16_E-Modulus) *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Yield_strength)  *Gendata(Mat16_Max_Temperature)   *Gendata(Mat16_Rate_Decrease_Yield_Strength) *GenData(Mat16_Process_Fabrication) *GenData(Mat16_Class_Ductility)
*elseif(strcmp(Gendata(Material16),"SILCONC_EN")==0 || strcmp(Gendata(Material16),"CALCONC_EN")==0  || strcmp(Gendata(Material16),"SILCON_ETC")==0 || strcmp(Gendata(Material16),"CALCON_ETC")==0 || strcmp(Gendata(Material16),"LWCONC_EN")==0 || strcmp(Gendata(Material16),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Compressive_strength) *Gendata(Mat16_Tension_strength)
*elseif(strcmp(Gendata(Material16),"CALCONC2D")==0  || strcmp(Gendata(Material16),"SILCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Compressive_strength) *Gendata(Mat16_Tension_strength) *Gendata(Mat16_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material16),"SILCON_ETC")==0 || strcmp(Gendata(Material16),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Compressive_strength) *Gendata(Mat16_Tension_strength)
*elseif(strcmp(Gendata(Material16),"SILHSC1_EN")==0 || strcmp(Gendata(Material16),"SILHSC2_EN")==0 || strcmp(Gendata(Material16),"SILHSC3_EN")==0 || strcmp(Gendata(Material16),"CALHSC1_EN")==0 || strcmp(Gendata(Material16),"CALHSC2_EN")==0 || strcmp(Gendata(Material16),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Compressive_strength) *Gendata(Mat16_Tension_strength)
*elseif(strcmp(Gendata(Material16),"SILHSC1ETC")==0 || strcmp(Gendata(Material16),"SILHSC2ETC")==0 || strcmp(Gendata(Material16),"SILHSC3ETC")==0 || strcmp(Gendata(Material16),"CALHSC1ETC")==0 || strcmp(Gendata(Material16),"CALHSC2ETC")==0 || strcmp(Gendata(Material16),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Compressive_strength) *Gendata(Mat16_Tension_strength)
*elseif(strcmp(Gendata(Material16),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat16_E-Modulus) *Gendata(Mat16_Poisson_ratio)
*elseif(strcmp(Gendata(Material16),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat16_E-Modulus) *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Compressive_strength) *Gendata(Mat16_Tension_strength)
*elseif(strcmp(Gendata(Material16),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat16_E-Modulus) *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Yield_strength) *Gendata(Mat16_Max_Temperature) *Gendata(Mat16_Rate_Decrease_Yield_Strength) *Gendata(Mat16_Slenderness) *Gendata(Mat16_Number_of_Supports)
*elseif(strcmp(Gendata(Material16),"CALCOETC2D")==0 || strcmp(Gendata(Material16),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Compressive_strength) *Gendata(Mat16_Tension_strength) *Gendata(Mat16_Strain_at_Peak_Stress) *Gendata(Mat16_Dilatancy) *Gendata(Mat16_Compressive_Ductility) *Gendata(Mat16_Comp_Damage_Peak_Stress) *Gendata(Mat16_Tension_Ductility)
*elseif(strcmp(Gendata(Material16),"STEELEC23D")==0 || strcmp(Gendata(Material16),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat16_E-Modulus) *Gendata(Mat16_Poisson_ratio) *Gendata(Mat16_Yield_strength)  *Gendata(Mat16_Max_Temperature)   *Gendata(Mat16_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>16)
*GenData(Material17)
*if(strcmp(Gendata(Material17),"STEELEC3")==0 || strcmp(Gendata(Material17),"STEELEC3DC")==0 || strcmp(Gendata(Material17),"STEELEC2")==0 || strcmp(Gendata(Material17),"PSTEELA16")==0  || strcmp(Gendata(Material17),"STEELEC32D")==0  || strcmp(Gendata(Material17),"STEELEC3PS")==0 || strcmp(Gendata(Material17),"STEEL_WPB")==0 || strcmp(Gendata(Material17),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat17_E-Modulus) *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Yield_strength)  *Gendata(Mat17_Max_Temperature)   *Gendata(Mat17_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material17),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat17_E-Modulus) *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Yield_strength)  *Gendata(Mat17_Max_Temperature)   *Gendata(Mat17_Rate_Decrease_Yield_Strength) *GenData(Mat17_Process_Fabrication) *GenData(Mat17_Class_Ductility)
*elseif(strcmp(Gendata(Material17),"SILCONC_EN")==0 || strcmp(Gendata(Material17),"CALCONC_EN")==0  || strcmp(Gendata(Material7),"SILCON_ETC")==0 || strcmp(Gendata(Material17),"CALCON_ETC")==0 || strcmp(Gendata(Material17),"LWCONC_EN")==0 || strcmp(Gendata(Material17),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Compressive_strength) *Gendata(Mat17_Tension_strength)
*elseif(strcmp(Gendata(Material17),"CALCONC2D")==0 || strcmp(Gendata(Material17),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Compressive_strength) *Gendata(Mat17_Tension_strength) *Gendata(Mat17_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material17),"SILCON_ETC")==0 || strcmp(Gendata(Material17),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Compressive_strength) *Gendata(Mat17_Tension_strength)
*elseif(strcmp(Gendata(Material17),"SILHSC1_EN")==0 || strcmp(Gendata(Material17),"SILHSC2_EN")==0 || strcmp(Gendata(Material17),"SILHSC3_EN")==0 || strcmp(Gendata(Material17),"CALHSC1_EN")==0 || strcmp(Gendata(Material17),"CALHSC2_EN")==0 || strcmp(Gendata(Material17),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Compressive_strength) *Gendata(Mat17_Tension_strength)
*elseif(strcmp(Gendata(Material17),"SILHSC1ETC")==0 || strcmp(Gendata(Material17),"SILHSC2ETC")==0 || strcmp(Gendata(Material17),"SILHSC3ETC")==0 || strcmp(Gendata(Material17),"CALHSC1ETC")==0 || strcmp(Gendata(Material17),"CALHSC2ETC")==0 || strcmp(Gendata(Material17),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Compressive_strength) *Gendata(Mat17_Tension_strength)
*elseif(strcmp(Gendata(Material17),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat17_E-Modulus) *Gendata(Mat17_Poisson_ratio)
*elseif(strcmp(Gendata(Material17),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat17_E-Modulus) *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Compressive_strength) *Gendata(Mat17_Tension_strength)
*elseif(strcmp(Gendata(Material17),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat17_E-Modulus) *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Yield_strength) *Gendata(Mat17_Max_Temperature) *Gendata(Mat17_Rate_Decrease_Yield_Strength) *Gendata(Mat17_Slenderness) *Gendata(Mat17_Number_of_Supports)
*elseif(strcmp(Gendata(Material17),"CALCOETC2D")==0 || strcmp(Gendata(Material17),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Compressive_strength) *Gendata(Mat17_Tension_strength) *Gendata(Mat17_Strain_at_Peak_Stress) *Gendata(Mat17_Dilatancy) *Gendata(Mat17_Compressive_Ductility) *Gendata(Mat17_Comp_Damage_Peak_Stress) *Gendata(Mat17_Tension_Ductility)
*elseif(strcmp(Gendata(Material17),"STEELEC23D")==0 || strcmp(Gendata(Material17),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat17_E-Modulus) *Gendata(Mat17_Poisson_ratio) *Gendata(Mat17_Yield_strength)  *Gendata(Mat17_Max_Temperature)   *Gendata(Mat17_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>17)
*GenData(Material18)
*if(strcmp(Gendata(Material18),"STEELEC3")==0 || strcmp(Gendata(Material18),"STEELEC3DC")==0 || strcmp(Gendata(Material18),"STEELEC2")==0 || strcmp(Gendata(Material18),"PSTEELA16")==0  || strcmp(Gendata(Material18),"STEELEC32D")==0  || strcmp(Gendata(Material18),"STEELEC3PS")==0 || strcmp(Gendata(Material18),"STEEL_WPB")==0 || strcmp(Gendata(Material18),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat18_E-Modulus) *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Yield_strength)  *Gendata(Mat18_Max_Temperature)   *Gendata(Mat18_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material18),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat18_E-Modulus) *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Yield_strength)  *Gendata(Mat18_Max_Temperature)   *Gendata(Mat18_Rate_Decrease_Yield_Strength) *GenData(Mat18_Process_Fabrication) *GenData(Mat18_Class_Ductility)
*elseif(strcmp(Gendata(Material18),"SILCONC_EN")==0 || strcmp(Gendata(Material18),"CALCONC_EN")==0  || strcmp(Gendata(Material8),"SILCON_ETC")==0 || strcmp(Gendata(Material18),"CALCON_ETC")==0 || strcmp(Gendata(Material18),"LWCONC_EN")==0 || strcmp(Gendata(Material18),"LWCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Compressive_strength) *Gendata(Mat18_Tension_strength)
*elseif(strcmp(Gendata(Material18),"CALCONC2D")==0 || strcmp(Gendata(Material18),"SILCONC2D")==0  )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Compressive_strength) *Gendata(Mat18_Tension_strength) *Gendata(Mat18_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material18),"SILCON_ETC")==0 || strcmp(Gendata(Material18),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Compressive_strength) *Gendata(Mat18_Tension_strength)
*elseif(strcmp(Gendata(Material18),"SILHSC1_EN")==0 || strcmp(Gendata(Material18),"SILHSC2_EN")==0 || strcmp(Gendata(Material18),"SILHSC3_EN")==0 || strcmp(Gendata(Material18),"CALHSC1_EN")==0 || strcmp(Gendata(Material18),"CALHSC2_EN")==0 || strcmp(Gendata(Material18),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Compressive_strength) *Gendata(Mat18_Tension_strength)
*elseif(strcmp(Gendata(Material18),"SILHSC1ETC")==0 || strcmp(Gendata(Material18),"SILHSC2ETC")==0 || strcmp(Gendata(Material18),"SILHSC3ETC")==0 || strcmp(Gendata(Material18),"CALHSC1ETC")==0 || strcmp(Gendata(Material18),"CALHSC2ETC")==0 || strcmp(Gendata(Material18),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Compressive_strength) *Gendata(Mat18_Tension_strength)
*elseif(strcmp(Gendata(Material18),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat18_E-Modulus) *Gendata(Mat18_Poisson_ratio)
*elseif(strcmp(Gendata(Material18),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat18_E-Modulus) *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Compressive_strength) *Gendata(Mat18_Tension_strength)
*elseif(strcmp(Gendata(Material18),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat18_E-Modulus) *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Yield_strength) *Gendata(Mat18_Max_Temperature) *Gendata(Mat18_Rate_Decrease_Yield_Strength) *Gendata(Mat18_Slenderness) *Gendata(Mat18_Number_of_Supports)
*elseif(strcmp(Gendata(Material18),"CALCOETC2D")==0 || strcmp(Gendata(Material18),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat18_Poisson_ratio) *Gendata(Mat18_Compressive_strength) *Gendata(Mat18_Tension_strength) *Gendata(Mat18_Strain_at_Peak_Stress) *Gendata(Mat18_Dilatancy) *Gendata(Mat18_Compressive_Ductility) *Gendata(Mat18_Comp_Damage_Peak_Stress) *Gendata(Mat18_Tension_Ductility)
*elseif(strcmp(Gendata(Material18),"STEELEC23D")==0 || strcmp(Gendata(Material18),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength)  *Gendata(Mat1_Max_Temperature)   *Gendata(Mat1_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>18)
*GenData(Material19)
*if(strcmp(Gendata(Material19),"STEELEC3")==0 || strcmp(Gendata(Material19),"STEELEC3DC")==0 || strcmp(Gendata(Material19),"STEELEC2")==0 || strcmp(Gendata(Material19),"PSTEELA16")==0  || strcmp(Gendata(Material19),"STEELEC32D")==0  || strcmp(Gendata(Material19),"STEELEC3PS")==0 || strcmp(Gendata(Material19),"STEEL_WPB")==0 || strcmp(Gendata(Material19),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat19_E-Modulus) *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Yield_strength)  *Gendata(Mat19_Max_Temperature)   *Gendata(Mat19_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material19),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat19_E-Modulus) *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Yield_strength)  *Gendata(Mat19_Max_Temperature)   *Gendata(Mat19_Rate_Decrease_Yield_Strength) *GenData(Mat19_Process_Fabrication) *GenData(Mat19_Class_Ductility)
*elseif(strcmp(Gendata(Material19),"SILCONC_EN")==0 || strcmp(Gendata(Material19),"CALCONC_EN")==0  || strcmp(Gendata(Material9),"SILCON_ETC")==0 || strcmp(Gendata(Material9),"CALCON_ETC")==0 || strcmp(Gendata(Material19),"LWCONC_EN")==0 || strcmp(Gendata(Material19),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Compressive_strength) *Gendata(Mat19_Tension_strength)
*elseif(strcmp(Gendata(Material19),"CALCONC2D")==0 || strcmp(Gendata(Material19),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Compressive_strength) *Gendata(Mat19_Tension_strength) *Gendata(Mat19_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material19),"SILCON_ETC")==0 || strcmp(Gendata(Material19),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Compressive_strength) *Gendata(Mat19_Tension_strength)
*elseif(strcmp(Gendata(Material19),"SILHSC1_EN")==0 || strcmp(Gendata(Material19),"SILHSC2_EN")==0 || strcmp(Gendata(Material19),"SILHSC3_EN")==0 || strcmp(Gendata(Material19),"CALHSC1_EN")==0 || strcmp(Gendata(Material19),"CALHSC2_EN")==0 || strcmp(Gendata(Material19),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Compressive_strength) *Gendata(Mat19_Tension_strength)
*elseif(strcmp(Gendata(Material19),"SILHSC1ETC")==0 || strcmp(Gendata(Material19),"SILHSC2ETC")==0 || strcmp(Gendata(Material19),"SILHSC3ETC")==0 || strcmp(Gendata(Material19),"CALHSC1ETC")==0 || strcmp(Gendata(Material19),"CALHSC2ETC")==0 || strcmp(Gendata(Material19),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Compressive_strength) *Gendata(Mat19_Tension_strength)
*elseif(strcmp(Gendata(Material19),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat19_E-Modulus) *Gendata(Mat19_Poisson_ratio)
*elseif(strcmp(Gendata(Material19),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat19_E-Modulus) *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Compressive_strength) *Gendata(Mat19_Tension_strength)
*elseif(strcmp(Gendata(Material19),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat19_E-Modulus) *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Yield_strength) *Gendata(Mat19_Max_Temperature) *Gendata(Mat19_Rate_Decrease_Yield_Strength) *Gendata(Mat19_Slenderness) *Gendata(Mat19_Number_of_Supports)
*elseif(strcmp(Gendata(Material19),"CALCOETC2D")==0 || strcmp(Gendata(Material19),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat19_Poisson_ratio) *Gendata(Mat19_Compressive_strength) *Gendata(Mat19_Tension_strength) *Gendata(Mat19_Strain_at_Peak_Stress) *Gendata(Mat19_Dilatancy) *Gendata(Mat19_Compressive_Ductility) *Gendata(Mat19_Comp_Damage_Peak_Stress) *Gendata(Mat19_Tension_Ductility)
*elseif(strcmp(Gendata(Material19),"STEELEC23D")==0 || strcmp(Gendata(Material19),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat1_E-Modulus) *Gendata(Mat1_Poisson_ratio) *Gendata(Mat1_Yield_strength)  *Gendata(Mat1_Max_Temperature)   *Gendata(Mat1_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>19)
*GenData(Material20)
*if(strcmp(Gendata(Material20),"STEELEC3")==0 || strcmp(Gendata(Material20),"STEELEC3DC")==0 || strcmp(Gendata(Material20),"STEELEC2")==0 || strcmp(Gendata(Material20),"PSTEELA16")==0  || strcmp(Gendata(Material20),"STEELEC32D")==0  || strcmp(Gendata(Material20),"STEELEC3PS")==0 || strcmp(Gendata(Material20),"STEEL_WPB")==0 || strcmp(Gendata(Material20),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat20_E-Modulus) *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Yield_strength)  *Gendata(Mat20_Max_Temperature)   *Gendata(Mat20_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material20),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat20_E-Modulus) *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Yield_strength)  *Gendata(Mat20_Max_Temperature)   *Gendata(Mat20_Rate_Decrease_Yield_Strength) *GenData(Mat20_Process_Fabrication) *GenData(Mat20_Class_Ductility)
*elseif(strcmp(Gendata(Material20),"SILCONC_EN")==0 || strcmp(Gendata(Material20),"CALCONC_EN")==0  || strcmp(Gendata(Materia20),"SILCON_ETC")==0 || strcmp(Gendata(Materia20),"CALCON_ETC")==0 || strcmp(Gendata(Material20),"LWCONC_EN")==0 || strcmp(Gendata(Material20),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Compressive_strength) *Gendata(Mat20_Tension_strength)
*elseif(strcmp(Gendata(Material20),"CALCONC2D")==0 || strcmp(Gendata(Material20),"SILCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Compressive_strength) *Gendata(Mat20_Tension_strength) *Gendata(Mat20_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material20),"SILCON_ETC")==0 || strcmp(Gendata(Material20),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Compressive_strength) *Gendata(Mat20_Tension_strength)
*elseif(strcmp(Gendata(Material20),"SILHSC1_EN")==0 || strcmp(Gendata(Material20),"SILHSC2_EN")==0 || strcmp(Gendata(Material20),"SILHSC3_EN")==0 || strcmp(Gendata(Material20),"CALHSC1_EN")==0 || strcmp(Gendata(Material20),"CALHSC2_EN")==0 || strcmp(Gendata(Material20),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Compressive_strength) *Gendata(Mat20_Tension_strength)
*elseif(strcmp(Gendata(Material20),"SILHSC1ETC")==0 || strcmp(Gendata(Material20),"SILHSC2ETC")==0 || strcmp(Gendata(Material20),"SILHSC3ETC")==0 || strcmp(Gendata(Material20),"CALHSC1ETC")==0 || strcmp(Gendata(Material20),"CALHSC2ETC")==0 || strcmp(Gendata(Material20),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Compressive_strength) *Gendata(Mat20_Tension_strength)
*elseif(strcmp(Gendata(Material20),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat20_E-Modulus) *Gendata(Mat20_Poisson_ratio)
*elseif(strcmp(Gendata(Material20),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat20_E-Modulus) *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Compressive_strength) *Gendata(Mat20_Tension_strength)
*elseif(strcmp(Gendata(Material20),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat20_E-Modulus) *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Yield_strength) *Gendata(Mat20_Max_Temperature) *Gendata(Mat20_Rate_Decrease_Yield_Strength) *Gendata(Mat20_Slenderness) *Gendata(Mat20_Number_of_Supports)
*elseif(strcmp(Gendata(Material20),"CALCOETC2D")==0 || strcmp(Gendata(Material20),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Compressive_strength) *Gendata(Mat20_Tension_strength) *Gendata(Mat20_Strain_at_Peak_Stress) *Gendata(Mat20_Dilatancy) *Gendata(Mat20_Compressive_Ductility) *Gendata(Mat20_Comp_Damage_Peak_Stress) *Gendata(Mat20_Tension_Ductility)
*elseif(strcmp(Gendata(Material20),"STEELEC23D")==0 || strcmp(Gendata(Material20),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat20_E-Modulus) *Gendata(Mat20_Poisson_ratio) *Gendata(Mat20_Yield_strength)  *Gendata(Mat20_Max_Temperature)   *Gendata(Mat20_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>20)
*GenData(Material21)
*if(strcmp(Gendata(Material21),"STEELEC3")==0 || strcmp(Gendata(Material21),"STEELEC3DC")==0 || strcmp(Gendata(Material21),"STEELEC2")==0 || strcmp(Gendata(Material21),"PSTEELA16")==0  || strcmp(Gendata(Material21),"STEELEC32D")==0  || strcmp(Gendata(Material21),"STEELEC3PS")==0 || strcmp(Gendata(Material21),"STEEL_WPB")==0 || strcmp(Gendata(Material21),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat21_E-Modulus) *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Yield_strength)  *Gendata(Mat21_Max_Temperature)   *Gendata(Mat21_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material21),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat21_E-Modulus) *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Yield_strength)  *Gendata(Mat21_Max_Temperature)   *Gendata(Mat21_Rate_Decrease_Yield_Strength) *GenData(Mat21_Process_Fabrication) *GenData(Mat21_Class_Ductility)
*elseif(strcmp(Gendata(Material21),"SILCONC_EN")==0 || strcmp(Gendata(Material21),"CALCONC_EN")==0  || strcmp(Gendata(Materia21),"SILCON_ETC")==0 || strcmp(Gendata(Materia21),"CALCON_ETC")==0 || strcmp(Gendata(Material21),"LWCONC_EN")==0 || strcmp(Gendata(Material21),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Compressive_strength) *Gendata(Mat21_Tension_strength)
*elseif(strcmp(Gendata(Material21),"CALCONC2D")==0 || strcmp(Gendata(Material21),"SILCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Compressive_strength) *Gendata(Mat21_Tension_strength) *Gendata(Mat21_Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material21),"SILCON_ETC")==0 || strcmp(Gendata(Material21),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Compressive_strength) *Gendata(Mat21_Tension_strength)
*elseif(strcmp(Gendata(Material21),"SILHSC1_EN")==0 || strcmp(Gendata(Material21),"SILHSC2_EN")==0 || strcmp(Gendata(Material21),"SILHSC3_EN")==0 || strcmp(Gendata(Material21),"CALHSC1_EN")==0 || strcmp(Gendata(Material1),"CALHSC2_EN")==0 || strcmp(Gendata(Material1),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Compressive_strength) *Gendata(Mat21_Tension_strength)
*elseif(strcmp(Gendata(Material21),"SILHSC1ETC")==0 || strcmp(Gendata(Material21),"SILHSC2ETC")==0 || strcmp(Gendata(Material21),"SILHSC3ETC")==0 || strcmp(Gendata(Material21),"CALHSC1ETC")==0 || strcmp(Gendata(Material1),"CALHSC2ETC")==0 || strcmp(Gendata(Material1),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Compressive_strength) *Gendata(Mat21_Tension_strength)
*elseif(strcmp(Gendata(Material21),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat21_E-Modulus) *Gendata(Mat21_Poisson_ratio)
*elseif(strcmp(Gendata(Material21),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat21_E-Modulus) *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Compressive_strength) *Gendata(Mat21_Tension_strength)
*elseif(strcmp(Gendata(Material21),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat21_E-Modulus) *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Yield_strength) *Gendata(Mat21_Max_Temperature) *Gendata(Mat21_Rate_Decrease_Yield_Strength) *Gendata(Mat21_Slenderness) *Gendata(Mat21_Number_of_Supports)
*elseif(strcmp(Gendata(Material21),"CALCOETC2D")==0 || strcmp(Gendata(Material21),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Compressive_strength) *Gendata(Mat21_Tension_strength) *Gendata(Mat21_Strain_at_Peak_Stress) *Gendata(Mat21_Dilatancy) *Gendata(Mat21_Compressive_Ductility) *Gendata(Mat21_Comp_Damage_Peak_Stress) *Gendata(Mat21_Tension_Ductility)
*elseif(strcmp(Gendata(Material21),"STEELEC23D")==0 || strcmp(Gendata(Material21),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat21_E-Modulus) *Gendata(Mat21_Poisson_ratio) *Gendata(Mat21_Yield_strength)  *Gendata(Mat21_Max_Temperature)   *Gendata(Mat21_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*if(Gendata(Number_of_materials,INT)>21)
*GenData(Material22)
*if(strcmp(Gendata(Material22),"STEELEC3")==0 || strcmp(Gendata(Material22),"STEELEC3DC")==0 || strcmp(Gendata(Material22),"STEELEC2")==0 || strcmp(Gendata(Material22),"PSTEELA16")==0  || strcmp(Gendata(Material22),"STEELEC32D")==0  || strcmp(Gendata(Material22),"STEELEC3PS")==0 || strcmp(Gendata(Material22),"STEEL_WPB")==0 || strcmp(Gendata(Material22),"STEELEC3EN")==0 )
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat22_E-Modulus) *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Yield_strength)  *Gendata(Mat22_Max_Temperature)   *Gendata(Mat22_Rate_Decrease_Yield_Strength)
*elseif(strcmp(Gendata(Material22),"STEELEC2EN")==0)
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat22_E-Modulus) *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Yield_strength)  *Gendata(Mat22_Max_Temperature)   *Gendata(Mat22_Rate_Decrease_Yield_Strength) *GenData(Mat22_Process_Fabrication) *GenData(Mat22_Class_Ductility)
*elseif(strcmp(Gendata(Material22),"SILCONC_EN")==0 || strcmp(Gendata(Material22),"CALCONC_EN")==0  || strcmp(Gendata(Material22),"SILCON_ETC")==0 || strcmp(Gendata(Material22),"CALCON_ETC")==0 || strcmp(Gendata(Material22),"LWCONC_EN")==0 || strcmp(Gendata(Material22),"LWCONC2D")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Compressive_strength) *Gendata(Mat22_Tension_strength)
*elseif(strcmp(Gendata(Material22),"CALCONC2D")==0  || strcmp(Gendata(Material22),"SILCONC2D")==0)
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Compressive_strength) *Gendata(Mat22_Tension_strength) *Gendata(Mat22 _Peak_Stress_Strain_Coeff)
*elseif(strcmp(Gendata(Material22),"SILCON_ETC")==0 || strcmp(Gendata(Material22),"CALCON_ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Compressive_strength) *Gendata(Mat22_Tension_strength)
*elseif(strcmp(Gendata(Material22),"SILHSC1_EN")==0 || strcmp(Gendata(Material22),"SILHSC2_EN")==0 || strcmp(Gendata(Material22),"SILHSC3_EN")==0 || strcmp(Gendata(Material22),"CALHSC1_EN")==0 || strcmp(Gendata(Material22),"CALHSC2_EN")==0 || strcmp(Gendata(Material22),"CALHSC3_EN")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Compressive_strength) *Gendata(Mat22_Tension_strength)
*elseif(strcmp(Gendata(Material22),"SILHSC1ETC")==0 || strcmp(Gendata(Material22),"SILHSC2ETC")==0 || strcmp(Gendata(Material22),"SILHSC3ETC")==0 || strcmp(Gendata(Material22),"CALHSC1ETC")==0 || strcmp(Gendata(Material22),"CALHSC2ETC")==0 || strcmp(Gendata(Material22),"CALHSC3ETC")==0 )
*format "%10.2e%10.2e%10.2e"
          *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Compressive_strength) *Gendata(Mat22_Tension_strength)
*elseif(strcmp(Gendata(Material22),"ELASTIC")==0 )
*format "%10.2e%10.2e"
           *Gendata(Mat22_E-Modulus) *Gendata(Mat22_Poisson_ratio)
*elseif(strcmp(Gendata(Material22),"WOODEC5")==0)
*format "%10.2e%10.2e%10.2e%10.2e"
          *Gendata(Mat22_E-Modulus) *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Compressive_strength) *Gendata(Mat22_Tension_strength)
*elseif(strcmp(Gendata(Material22),"STEELSL")==0)
*format "%10.2e%10.2e%10.2e%10.2e%10.2e%10.2e%2i"
         *Gendata(Mat22_E-Modulus) *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Yield_strength) *Gendata(Mat22_Max_Temperature) *Gendata(Mat22_Rate_Decrease_Yield_Strength) *Gendata(Mat22_Slenderness) *Gendata(Mat22_Number_of_Supports)
*elseif(strcmp(Gendata(Material22),"CALCOETC2D")==0 || strcmp(Gendata(Material22),"SILCOETC2D")==0)
*format "%10.2e%10.2e%10.2e%7.5f%4.2f%4.2f%4.2f%8.1f"
         *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Compressive_strength) *Gendata(Mat22_Tension_strength) *Gendata(Mat22_Strain_at_Peak_Stress) *Gendata(Mat22_Dilatancy) *Gendata(Mat22_Compressive_Ductility) *Gendata(Mat22_Comp_Damage_Peak_Stress) *Gendata(Mat22_Tension_Ductility)
*elseif(strcmp(Gendata(Material22),"STEELEC23D")==0 || strcmp(Gendata(Material22),"STEELEC33D")==0 ) 
*format "%10.2e%10.2e%10.2e"
         *Gendata(Mat22_E-Modulus) *Gendata(Mat22_Poisson_ratio) *Gendata(Mat22_Yield_strength)  *Gendata(Mat22_Max_Temperature)   *Gendata(Mat22_Rate_Decrease_Yield_Strength)
*else
   
*endif
*endif
*#-----------------------------------------------------------------
*# TIME
*#-----------------------------------------------------------------
      TIME
*if((strcmp(GenData(Loads),"DYNAMIC_PURE_NR")==0) || (strcmp(GenData(Loads),"DYNAMIC_APPR_NR")==0))
*format "%10.1f%10.1f%10.1f"
*GenData(TIMESTEP) *GenData(UPTIME) *GenData(TIMESTEPMAX)
*else
*format "%10.1f%10.1f"
*GenData(TIMESTEP) *GenData(UPTIME)
*endif
   ENDTIME
     EPSTH
IMPRESSION
 TIMEPRINT
*format "%10.1f%10.1f"
*GenData(TIMEPRINT) *GenData(UPTIME)
END_TIMEPR
*#-----------------------------------------------------------------
*# ADDITIONAL COMMANDS
*#-----------------------------------------------------------------
*#*if(strcmp(Gendata(PRINTDEPL_Print_displacement_variation),"yes")==0)
*# PRINTDEPL
*#*endif
*if(strcmp(Gendata(PRINTTMPRT_Print_temperatures_in_the_fibers),"yes")==0)
PRINTTMPRT
*endif
*if(strcmp(Gendata(PRINTVELAC_Print_velocity_and_acceleration),"yes")==0)
PRINTVELAC
*endif
*#*if(strcmp(Gendata(PRINTFHE_Print_out_of_balance_forces),"yes")==0)
*#  PRINTFHE
*#*endif
*if(strcmp(Gendata(PRINTREACT_Print_reactions),"yes")==0)
PRINTREACT
*endif
*if(strcmp(Gendata(PRINTMN_Print_internal_forces_of_beams),"yes")==0)
   PRINTMN
*endif
*if(strcmp(Gendata(PRNEIBEAM_Print_stiffness_in_beams),"yes")==0)
   PRNEIBEAM
*endif
*if(strcmp(Gendata(PRNEASHELL_Print_membrane_stiffness_in_shell_elements),"yes")==0)
   PRNEASHELL
*endif
*if(strcmp(Gendata(PRNEISHELL_Print_Bending_stiffness_in_shell_elements),"yes")==0)
   PRNEISHELL
*endif
*if(strcmp(Gendata(PRINTSHELL_Print_stresses_in_shell_elements),"yes")==0)
PRINTSHELL
*endif
*if(strcmp(Gendata(PRNNXSHELL_Print_membrane_forces_in_shell_elements),"yes")==0)
PRNNXSHELL
*endif
*if(strcmp(Gendata(PRNMXSHELL_Print_bending_moments_in_shell_elements),"yes")==0)
PRNMXSHELL
*endif
*if(strcmp(Gendata(PRNSTRAIN_Print_strains_and_stresses_in_shell_elements),"yes")==0)
PRNSTRAIN *Gendata(EPS_LIM)
*endif
*#-----------------------------------------------------------------
*# CONNECTIONS
*#-----------------------------------------------------------------
*# *If(nDisconnect>0)
*# *Set Var Nnodin = Ndmax
*# *Set Var NnodAtm = Ndmax+1
*# *format "%6i"
*#  NCONNEC*nDisconnect
*# *Set Var NumConnec = 0
*# *set Cond Point_Disconnect_ends *nodes
*# *loop nodes *OnlyInCond 
*# *Set Var NodCon = NodesNum
*# *Set Var NumConnec = NumConnec+1
*# *Set Var XNodCon = NodesCoord(1,real)
*# *Set Var YNodCon = NodesCoord(2,real)
*# *Set Var ZNodCon = NodesCoord(3,real)
*# *Set Var multcon = 0
*# *set var Idt = Cond(Identifier,Int)
*# *Set Cond Line_Disconnect_ends *elems
*# *loop elems *OnlyInCond  
*# *Set Var Nel = ElemsNum
*# *Set var Nd3 = Nd3 + 1
*# *set var Nd1 = ElemsConec(1,int)
*# *set var Nd2 = ElemsConec(2,int)
*# *if(cond(Master_element,Int)!=1)
*# *If(cond(Identifier,int)==Idt)
*# *if(Nd1==NodesNum)
*# *If(multcon==0)
*# *format "NCNC %6i%15.9e%15.9e%15.9e"
*# *NnodAtm *XnodCon *YNodCon *ZNodCon
*# *Set Var multcon = 1
*# *Format "%6i%5i"
*#       SAME*NnodAtm*NodCon*\
*# *#MB12/02/2016      SAME*NodCon*NnodAtm*\
*# *if(cond(Disconnect_x_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_y_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_z_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_x_rot,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_y_rot,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_z_rot,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_warp,int)==1)
*#    NO
*# *else
*#   YES
*# *endif
*# *Set Var Newnod = NnodAtm
*# *Set Var NnodAtm = NnodAtm +1
*# *endif
*# *Format " ELMD %6i%6i%6i"
*# *ElemsNum *NodCon *Newnod
*# *endif
*# *if(Nd2==NodesNum)
*# *If(multcon==0)
*# *format "NCNC %6i%15.9e%15.9e%15.9e"
*# *NnodAtm *XnodCon *YNodCon *ZNodCon
*# *Set Var multcon = 1
*# *Format "%6i%5i"
*#       SAME*NnodAtm*NodCon*\
*# *#MB12/02/2016      SAME*NodCon*NnodAtm*\
*# *if(cond(Disconnect_x_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_y_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_z_disp,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_x_rot,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_y_rot,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_z_rot,int)==1)
*#    NO*\
*# *else
*#   YES*\
*# *endif
*# *if(cond(Disconnect_warp,int)==1)
*#    NO
*# *else
*#   YES
*# *endif
*# *Set Var Newnod = NnodAtm
*# *Set Var NnodAtm = NnodAtm +1
*# *endif
*# *Format " ELMD %6i%6i%6i"
*# *ElemsNum *NodCon *Newnod
*# *endif
*# *endif
*# *endif
*# *end elems
*# *set Cond Point_Disconnect_ends *nodes
*# *end nodes
*# *Endif 
