rem ----------------------------------------------------------
rem SAFIR_Thermal_tsh started from GID
rem ----------------------------------------------------------
rem %1 is the name of the current project (project_name)
rem %2 is the path of the current project (c:\a\b\c\project_name.gid)
rem %3 is the path of the problem type (c:\a\b\c\problem_type_name.gid)
rem OutputFile: %1.txt
rem ErrorFile: %1.err
rem
if NOT %SAFIR_DIR% == "" goto L1
set SAFIR_DIR = C:\work\fem\SAFIR
:L1 echo SAFIR_DIR = %SAFIR_DIR%
set GID_DIR = %3
rem
del %1.in
del %1.out
del %1.xml
del %1.tsh
del %1.flavia.msh
del %1.flavia.res
rem
set FixPath = %GiD_DIR%
set ResPath = %GiD_DIR%
set FixTshPath = %GiD_DIR%
rem
rem set FixPath = %GiD_DIR%\Thermal2dfix\Debug
rem set ResPath = %GiD_DIR%\Thermal2dres\Debug
rem set FixTshPath = %GiD_DIR%\fix4tsh\Debug
rem
echo FixPath = %FixPath%
echo ResPath = %ResPath%
echo FixTshPath = %FixTshPath%
rem
echo GiD started Data-converter .DAT to .IN > %1.
rem 
%FixPath%\Thermalfix.exe %2 >> %1.log
type %1.in >> %1.log
echo Safir started .tem-run, IN-file %1 >> %1.txt
echo %1 > infile
%SAFIR_DIR%\safir.exe < infile >> %1.txt
echo Safir finished .tem-run >> %1.log
rem
if not exist %2\%1.in echo "No .in thermal input file for SAFIR has been created." >> %2\%1.err
rem
%FixTshPath%\fix4tsh.exe %1 >> %1.log
rem
%ResPath%\Thermal2dres.exe %1 >> %1.txt
if not exist %2\%1.flavia.res echo "No .flavia.res file or results in flavia.res found" >> %2\%1.err
if not exist %2\%1.out echo "No .out file or results in .out-file found" >> %2\%1.err
echo Postprocessor Data generated >> %1.log
rem
rem SAFIR Ende ----------------------------------------------