rem --------------------------------------------------------
rem SAFIR_Structural_3D started from GID
rem -----------------------------------------------------------
rem %1 is the name of the current project (project_name)
rem %2 is the path of the current project (c:\a\b\c\project_name.gid)
rem %3 is the path of the problem type (c:\a\b\c\problem_type_name.gid)
rem
rem OutputFile: %1.txt
rem ErrorFile: %1.err
rem
if NOT %SAFIR_DIR% == "" goto L1
set SAFIR_DIR = C:\work\fem\SAFIR
:L1 echo SAFIR_DIR = %SAFIR_DIR%
rem
set GID_DIR = %3
rem
del %1.in
del %1.in0
del %1.out
del %1.xml
del %1.flavia.msh
del %1.flavia.res
rem
set FixPath = %GiD_DIR%
set ResPath = %GiD_DIR%
rem
rem copy %1.dat %1.ttt
rem %FixPath%\Structural3dFixConnec.exe %1 >> %1.txt
rem
rem copy %1.acc %1.dat
rem
%FixPath%\StructuralFix.exe %2 >> %1.txt
rem Check if .in file has been created
if not exist %2\%1.in echo "No .in mechanical nput file for SAFIR has been created." >> %2\%1.err
rem
echo %1 > infile
%SAFIR_DIR%\safir.exe < infile >> %1.txt
rem
del %1.flavia.res
rem echo "STRUCTURAL3DRES.exe creates Postprocessor-File for GID" >> %1.txt
%ResPath%\Structural3dres.exe %1 >> %1.txt
if not exist %2\%1.flavia.res echo "No .flavia.res file or results in flavia.res found" >> %2\%1.err
if not exist %2\%1.out echo "No .out file or results in .out-file found" >> %2\%1.err
rem
rem SAFIR End ---------------------------------------------------------	