rem ----------------------------------------------------------
rem SAFIR_Thermal_2D started from GID
rem ----------------------------------------------------------
rem %1 is the name of the current project (project_name)
rem %2 is the path of the current project (c:\a\b\c\project_name.gid)
rem %3 is the path of the problem type (c:\a\b\c\problem_type_name.gid)
rem OutputFile: %1.txt
rem ErrorFile: %1.err
rem
if NOT %SAFIR_DIR% == "" goto L1
set SAFIR_DIR = C:\work\fem\SAFIR
:L1 echo SAFIR_DIR = %SAFIR_DIR%
rem
set GID_DIR = %3
rem
del %1.in
del %1.out
del %1.xml
del %1.txt
del %1.log
del %1.tem

del %1-1.in
del %1-1.out
del %1-1.xml
del %1-1.txt
del %1-1.log
del %1-1.t0r
del %1-1.tor

del %1.flavia.msh
del %1.flavia.res
rem
set FixPath = %GiD_DIR%
set ResPath = %GiD_DIR%
set FixTemPath = %GiD_DIR%
rem
echo GiD started Data-converter .DAT to .IN > %1.txt
rem 
%FixPath%\Thermalfix.exe %2 >> %1.txt
echo Safir started .tem-run, IN-file %1 >> %1.txt
echo %1 > infile
%SAFIR_DIR%\safir.exe < infile >> %1.txt
echo Safir finished .tem-run >> %1.txt
rem
if not exist %2\%1.in echo "No .in thermal input file for SAFIR has been created." >> %2\%1.err
rem
if not exist %1-1.in goto Lres
rem
echo Safir started .tor-run, IN-file %1-1 >> %1.txt
echo %1-1 > infile
%SAFIR_DIR%\safir.exe < infile >> %1.txt
echo Safir finished .tor-run >> %1.txt
rem
if not exist %2\%1-1.in echo "No .in torsional input file for SAFIR has been created." >> %2\%1.err
rem
:Lres
rem %FixTemPath%\fix4tem.exe %1 >> %1.txt
%FixTemPath%\TorToTemFix.exe %2 >> %1.txt TorToTemFix
rem
%ResPath%\Thermal2dres.exe %1 >> %1.txt
if not exist %2\%1.flavia.res echo "No .flavia.res file or results in flavia.res found" >> %2\%1.err
if not exist %2\%1.out echo "No .out file or results in .out-file found" >> %2\%1.err
echo Postprocessor Data generated >> %1.txt
rem
rem SAFIR Ende --------------------------------------------------
