*#----------------------------------------------------------------------------
*# Maximum displacement
*#---------------------------------------------------------------------------- 
*if(strcmp(Gendata(Consider_reduction_of_torsional_stiffness),"yes")==0)
reduction_coeff *Gendata(reduction_coeff)
*else
reduction_coeff 1
*endif
InputFile created with GiD-SAFIR_2016 Interface
*GenData(Title_1)
*GenData(Title_2)

*format "%5i"
     NNODE *npoin
      NDIM    2
   NDDLMAX    1
*format "%5i"
      FROM    1   TO *npoin STEP    1 NDDL    1
  END_NDDL
   TORSION
*if((strcmp(Gendata(Renumber),"RENUMGEO")==0))
 RENUMGEO 1
*else
*Gendata(Renumber)
*endif
      NMAT *nmats
  ELEMENTS
*format "%5i"
     SOLID *nelem
        NG    2
*format "%5i"
     NVOID *GenData(NVOID)
*if(GenData(NVOID,int)>0)
*format "%5i"
FRTIERVOID   100
*endif
  END_ELEM
     NODES
*loop nodes
*format "%5i%10.4f%10.4f"
      NODE *NodesNum *NodesCoord(2,real) *NodesCoord(1,real)
*end nodes
*format "%16.4f%10.4f
  NODELINE*GenData(Global_center_(Yo)) *GenData(Global_center_(Zo))
*format "%16.4f%10.4f
     YC_ZC*GenData(Center_of_torsion(Yc)) *GenData(Center_of_torsion(Zc))
 FIXATIONS
*#---------------------------
*# added by JF: add constraints for torsion
*#---------------------------
*Set Cond Point_Torsion_Constraint *nodes
*loop nodes *OnlyInCond
     BLOCK *NodesNum F0
*end nodes
*#---------------------------
   END_FIX
NODOFSOLID
*loop elems
*if(ElemsNnode(int)==4)
*format "%6i%6i%6i%6i%6i%6i"
      ELEM *ElemsNum *ElemsConec *ElemsMat     0.
*else
*format "%6i%6i%6i%6i%6i%6i"
      ELEM *ElemsNum *ElemsConec    0 *ElemsMat     0.
*endif
*end elems
  SYMMETRY
   END_SYM
 PRECISION     1.E-3
 MATERIALS
*loop materials
*if((strcmp(MatProp(1),"STEELEC3")==0) || (strcmp(MatProp(1),"STEELEC3DC")==0) || (strcmp(MatProp(1),"STEELEC2")==0) || (strcmp(MatProp(1),"PSTEELA16")==0) || (strcmp(MatProp(1),"STEELEC3EN")==0) || (strcmp(MatProp(1),"STEELEC2EN")==0))
*MatProp(1)
          *MatProp(5) *MatProp(6) *MatProp(7) 1200. 0.
*elseif((strcmp(matProp(1),"SILCONC_EN")==0) || (strcmp(matProp(1),"CALCONC_EN")==0) || (strcmp(matProp(1),"CALCON_ETC")==0) || (strcmp(matProp(1),"SILCON_ETC")==0) || (strcmp(matProp(1),"LWCONC_EN")==0))
*MatProp(1)
          *MatProp(8) *MatProp(9) *MatProp(10) 0.0
*elseif((strcmp(matProp(1),"INSULATION")==0))
INSULATION

*# ELASTIC
*#			1e6 0.3
*# MatProp(1)
*elseif((strcmp(matProp(1),"X_GYPSUM")==0))
*MatProp(1)
          
*elseif((strcmp(matProp(1),"C_GYPSUM")==0))
*MatProp(1)
          
*elseif((strcmp(matProp(1),"WOODEC5")==0))
*MatProp(1)
         *MatProp(11) *MatProp(12) *MatProp(13) *MatProp(14)
*elseif((strcmp(MatProp(1),"USER1")==0))
*#ELASTIC
*#			1e6 0.3
*MatProp(1)

*#         *MatProp(13) *MatProp(14) *MatProp(15) *MatProp(16)
*elseif((strcmp(MatProp(1),"STEEL_WPB")==0))
*MatProp(1)
          *MatProp(5) *MatProp(6) *MatProp(7) 1200. 0.
*else
*WarningBox -Material not supported-
*endif
*end materials
IMPRESSION
 TIMEPRINT 
*format "%10.0f%10.0f"
*GenData(TIMEPRINT) *GenData(UPTIME)
END_TIMEPR
